<?php
$title = 'Блокировка аккаунтов';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
    echo '<div class="title">Блокировка аккаунтов</div>';
    if (isset($_POST['block'])) {
        $error = '';
        if (empty($_POST['col'])) {
            $error.= 'Введите кол-во часов!<br/>';
        }
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        elseif ($_POST['login'] == $user['login']) {
            $error.= 'Вы не можете заблокировать свой аккаунт!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $col = val($_POST['col'], 1);
            $time = $col * 3600 + time();
            $stmt = $connect->prepare("update `users` set `ban` = ? where `login` = ?");
            if ($stmt->execute(array($time, $_POST['login']))){
                echo '<div class="menu">Вы успешно заблокировали аккаунт пользователя!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu"><form action="" method="post">Кол-во часов:<br/><input type="text" name="col" maxlength="10"/><br/>Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/><input type="submit" name="block" value="Заблокировать"/></form></div>';
    echo '<div class="title">Разблокировка аккаунтов</div>';
    if (isset($_POST['de_block'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `ban` = '0' where `login` = ?");
            if ($stmt->execute(array($_POST['login']))){
                echo '<div class="menu">Вы успешно разблокировали аккаунт пользователя!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu"><form action="" method="post">Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/><input type="submit" name="de_block" value="Разблокировать"/></form></div>';
    if ($version == 'mobile') echo '<div class="forlink"><a href="/adm" class="links">Панель управления</a></div>';
} else {
    header ('location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>