<?php
$title = 'Модерация товаров';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
    echo '<div class="title">Модерация товаров ('.$count_shop . $new_mod_shop.')</div>';
    $stmt_num = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $strow = $connect->prepare("select * from `shop` where `id` = ?");
    if (isset($_GET['mode'])) {
        $stmt_num->execute(array($_GET['mode']));
        $num = $stmt_num->fetchColumn();
        if ($num == 0) {
            header('Location: /adm/shop');
        } else {
            $strow->execute(array($_GET['mode']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header('Location: /adm/shop');
            }
            elseif (isset($_POST['submit'])) {
                $status = val($_POST['status'], 1);
                $message = !empty($_POST['message']) ? '[br]Примечание: '.$_POST['message'] : '';
                $stmt = $connect->prepare("update `shop` set `time` = ?, `status` = ? where `id` = ?");
                if ($stmt->execute(array(time(), $status, $_GET['mode']))) {
                    notification('Ваш товар [url='.ROOT.'/shop/product/'.$row['id'].']'.$row['name'].'[/url] '.($status == 1 ? 'одобрен' : 'не одобрен').' для участия в продажах.'.$message, $row['user'], 1);
                    header('Location: /adm/shop');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            } else {
                echo '<div class="menu">
                <form action="" method="post">
                Выберите действие:<br/>
                <select name="status">
                <option value="1">Разместить в магазине</option>
                <option value="0">Не размещать в магазине</option>
                </select><br/>
                Примечание:<br/><textarea name="message"></textarea><br/>
                <input type="submit" name="submit" value="Продолжить ('.val($_GET['mode'], 1).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            }
        }
    }
    elseif (isset($_GET['del'])) {
        $stmt_num->execute(array($_GET['del']));
        $num = $stmt_num->fetchColumn();
        if ($num == 0) {
            header('Location: /adm/shop');
        } else {
            // платежи
            $stmt_p = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ?");
            $stmt_p->execute(array($_GET['del']));
            $p_shop = $stmt_p->fetchColumn();
            if ($p_shop == 0) {
                $strow->execute(array($_GET['del']));
                $row = $strow->fetch(PDO::FETCH_LAZY);

                // Файл
                $fileshop = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$row['file'];

                if (isset($_POST['cancel'])) {
                    header('Location: /adm/shop');
                }
                elseif (isset($_POST['del'])) {
                    $del_shop = $connect->prepare("delete from `shop` where `id` = ?");
                    $del_basket = $connect->prepare("delete from `basket` where `pid` = ?");
                    $del_screen = $connect->prepare("delete from `screen` where `did` = ? and `type` = '1'");
                    $del_comm = $connect->prepare("delete from `comments` where `did` = ? and `type` = '2'");
                    if ($del_shop->execute(array($_GET['del'])) && $del_basket->execute(array($_GET['del'])) && $del_screen->execute(array($_GET['del'])) && $del_comm->execute(array($_GET['del']))) {
                        // Удаляем файл
                        unlink($fileshop);
                        header('Location: /adm/shop');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="del" value="Удалить ('.val($_GET['del'], 1).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } else {
                header('Location: /adm/shop');
            }
        }
    }

    $k_post = $all_shop; 
    $k_page = k_page($k_post, 10);
    $page = page($k_page); 
    $start = 10 * $page - 10;
			
    $data = $connect->prepare("select * from `shop` order by `status` asc, `id` desc limit :start, 10");
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($all_shop == 0) {
        echo '<div class="menu">NONE</div>';
    } else {
        foreach ($sql as $row) {
            echo '<div class="menu">
            Товар: <a href="/shop/product/'.$row['id'].'">'.$row['name'].'</a><br/>
            Автор: '.(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>
            Стоимость: '.$row['cena'].' руб.<br/>
            '.($row['status'] == 1 ? '<div class="chi">Одобрен</div><br/>' : '').'
            <div class="butt2">
            <a href="?mode='.$row['id'].'">Модерация</a>
            <a href="?del='.$row['id'].'">Удалить</a>
            </div>
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/adm" class="links">Панель управления</a></div>';
} else {
    header ('location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>