<?php
// расширение файла
function get_extfile($filename) {
    $info = new SplFileInfo($filename);
    return $info->getExtension();
}
// Загрузка файла
function file_force_download($file, $hash = 0) {
    if (file_exists($file)) {
        if (ob_get_level()) {
            // Чистим буфер
            ob_end_clean();
        }
        // Тип и имя
        $mime = mime_content_type($file);
        $generate = random_int(11111, 99999)."_file.".get_extfile($file);
        $name = $hash == 1 ? $generate : basename($file);
        // Выдаем файл
        header('Content-Description: File Transfer');
        header('Content-Type: '.$mine);
        header('Content-Disposition: attachment; filename='.$name);
        header('Content-Transfer-Encoding: binary');
        header('Expires: 0');
        header('Cache-Control: must-revalidate');
        header('Pragma: public');
        header('Content-Length: '.filesize($file));
        readfile($file);
    }
}
// Проверка файла
function is_safeFile($whitelist, $filename) {
    foreach ($whitelist as $item) {
        if (get_extfile($filename) == $item) {
            $value = true;
        }
    }
    return $value ?? false;
}
// Проверка изображения
function is_safePicture($whitelist, $filename, $tmp = null) {
    if ($tmp == null) $tmp = $filename;
    if (file_exists($tmp)) {
        foreach ($whitelist as $item) {
            if (get_extfile($filename) == $item) {
                $size = getimagesize($tmp);
                if ($size[0] > 0 && $size[1] > 0) {
                    $value = true;
                }
            }
        }
    }
    return $value ?? false;
}
// Редактирование файла
function editFileNow($filename, $text, $chmod = "w+") {
    if (file_exists($filename)) {
        $fp = fopen($filename, $chmod);
        fwrite($fp, $text);
        fclose($fp);
    }
}
// Чтение файла
function contentFileNow($filename, $chmod = "r") {
    if (file_exists($filename)) {
        $fd = fopen($filename, $chmod);
        $contents = fread($fd, filesize($filename));
    }
    return $contents ?? false;
}
// Вес файла
function get_filesize($file) {
    if(!file_exists($file)) {
        return "Файл не найден";
    } else {
        $filesize = filesize($file);
        if($filesize > 1024){
            $filesize = ($filesize/1024);
            if($filesize > 1024){
                $filesize = ($filesize/1024);
                if($filesize > 1024) {
                    $filesize = ($filesize/1024);
                    $filesize = round($filesize, 1);
                    return $filesize." Gb";
                } else {
                    $filesize = round($filesize, 1);
                    return $filesize." Mb";
                }
            } else {
                $filesize = round($filesize, 1);
                return $filesize." Kb";
            }
        } else {
            $filesize = round($filesize, 1);
            return $filesize." byte";
        }
    }
}
// Удаление файлов из папки
function delete_file_dir($dir) {
    if (is_dir($dir)) {
        $scan = scandir($dir);
        foreach ($scan as $file) {
            unlink("$dir/$file");
        }
    }
}
// рекурсивное удаление папки
function delete_dir($dir) {
    if (is_dir($dir)) {
        $od = opendir($dir);
        while ($rd = readdir($od)) {
            if ($rd == '.' or $rd == '..') continue;
            if (is_dir("$dir/$rd")) {
                delete_dir("$dir/$rd");
            } else {
                unlink("$dir/$rd");
            }
        }
        closedir($od);
        return rmdir("$dir");
    } else {
        unlink("$dir");
    }
}
 ?>