<?php
$title = 'Чат';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    $stmt_num = $connect->prepare("select count(*) from `guest` where `id` = ?");
    $guest = $connect->prepare("insert into `guest` set `date` = ?, `user` = ?, `text` = ?");
    $strow = $connect->prepare("select * from `guest` where `id` = ?");
    echo '<div class="title">Чат</div>';
    include_once($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");
    if (isset($_GET['edit'])) {
        $stmt_num_edit = $connect->prepare("select count(*) from `guest` where `date` > ? and `user` = ? and `id` = ?");
        $stmt_num_edit->execute(array(time() - 60, $user['login'], $_GET['edit']));
        $num = $stmt_num_edit->fetchColumn();
        if ($num > 0) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['yes'])) {
                $error = '';
                if (empty($_POST['text'])) {
                    $error.= 'Введите сообщение!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 2) {
                    $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                }
                elseif (mb_strlen($_POST['text']) > 2500) {
                    $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `guest` set `text` = ? where `id` = ? limit 1");
                    if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                        header('Location: /chat');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /chat');
            }
        echo '<div class="menu">
        <form action="" method="post">
        Сообщение:<br/><textarea name="text" rows="5" cols="30">'.$row['text'].'</textarea><br/>
        <input type="submit" name="yes" value="Сохранить ('.val($_GET['edit'], 1).')"/>
        <input type="submit" name="no" value="Отмена"/>
        </form></div>';
        } else {
            header('Location: /chat');
        }
    } elseif (isset($_GET['cit'])) {
        $stmt_num->execute(array($_GET['cit']));
        $num = $stmt_num->fetchColumn();
        if ($num > 0) {
            $strow->execute(array($_GET['cit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['user'] != $user['login']) {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['text'])) {
                        $error.= 'Введите сообщение!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 2) {
                        $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) > 2500) {
                        $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                    }
                    elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $antiflud) {
                        $error.= 'Антиспам! Лимит - '.$antiflud.' секунд!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        if ($guest->execute(array(time(), $user['login'], $_POST['text']))) {
                            notification('[b]'.$user['login'].'[/b] процитировал ваше сообщение в [url='.ROOT.'/chat]Чате[/url].', $row['user'], 1);
                            ratingUser($chat_r, $user['id']);
                            $_SESSION['guest_add'] = time();
                            header('Location: /chat');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /chat');
                }
            $cit = "[u]".$row['user']."[/u] (".daytime($row['date']).")[br]".$row['text'];
            $tag = array('[cit]', '[/cit]');
            $str = str_replace($tag, null, $cit);
            echo '<div class="menu">
            <form action="" method="post">
            Сообщение:<br/><textarea name="text" rows="5" cols="30">[cit]'.$str.'[/cit][br]</textarea><br/>
            <input type="submit" name="yes" value="Цитировать ('.val($_GET['cit'], 1).')"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
            } else {
                header('Location: /chat');
            }
        } else {
            header('Location: /chat');
        }
    } else {
        if (isset($_POST['refresh'])) {
            header('location: /chat');
        }
        elseif (isset($_POST['text'])) {
            $error = '';
        if (empty($_POST['text'])) {
            $error.= 'Введите сообщение!<br/>';
        }
        elseif (mb_strlen($_POST['text']) < 2) {
            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
        }
        elseif (mb_strlen($_POST['text']) > 2500) {
            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
        }
        elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $antiflud) {
            $error.= 'Антиспам! Лимит - '.$antiflud.' секунд!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if ($guest->execute(array(time(), $user['login'], $_POST['text']))) {
                if (isset($_GET['ans'])) notification('[b]'.$user['login'].'[/b] ответил вам в [url='.ROOT.'/chat]Чате[/url].', $_GET['ans'], 1);
                ratingUser($chat_r, $user['id']);
                $_SESSION['guest_add'] = time();
                header('Location: /chat');
            } else {
                echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
            }
        }
    }
            echo '<form name="form" action="" method="post">
            <div class="menu">Сообщение:<br/><textarea name="text" rows="3" cols="20">'.(isset($_GET['ans']) ? '[b]'.$_GET['ans'].'[/b], ' : '').'</textarea><br/>
            <input type="submit" value="Написать"/>
            <input type="submit" name="refresh" value="Обновить">
            </form></div>';
        }
// модератору
if ($adm_id == 1 or $adm_id == 3) {
    if (isset($_GET['del'])) {
        $stmt_num->execute(array($_GET['del']));
        $num = $stmt_num->fetchColumn();
            if ($num > 0) {
                if (isset($_POST['yes'])) {
                    $stmt = $connect->prepare("delete from `guest` where `id` = ? limit 1");
                    $stmt->execute(array($_GET['del']));
                    header('Location: /chat');
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /chat');
                }

                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="yes" value="Удалить ('.val($_GET['del'], 1).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /chat');
            }
        }
    }

    $k_post = $count_chat;
    $k_page = k_page($k_post, 10); 
    $page = page($k_page);
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `guest` order by `id` desc limit :start, 10");
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_chat == 0) {
        echo '<div class="menu">Сообщений нет!</div>';
    } else {
        foreach ($sql as $row) {
            echo '<div class="menu"><img src="/img/us.png"> '.(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']) . ($row['user'] != $user['login'] ? ' (<a href="?ans='.urlencode($row['user']).'">Ответить</a>/<a href="?cit='.$row['id'].'">Цит.</a>)' : '') . ($row['date'] > time() - 60 && $row['user'] == $user['login'] ? ' (<a href="?edit='.$row['id'].'">Редактировать</a>)' : '').' ('.daytime($row['date']).') '.(($adm_id == 1 or $adm_id == 3) ? '(<a href="?del='.$row['id'].'">Удалить</a>)' : '').'<span class="online">'.online($row['user'], 1).'</span><hr />'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>