<?php
$title = 'Восстановление пароля';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
echo '<div class="title">Восстановление пароля</div>';
if (isset($active) == true) {
    header('Location: /');
} else {
    $gen_pass = bin2hex(random_bytes(4));
    if (isset($_POST['login']) && isset($_POST['email']) && isset($_POST['code'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин в системе!<br/>';
        }
        elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
            $error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        $stmt = $connect->prepare("select count(*) from `users` where `login` = ? and `email` = ?");
        $stmt->execute(array($_POST['login'], $_POST['email']));
        $num = $stmt->fetchColumn();
        if (empty($_POST['email'])) {
            $error.= 'Поле e-mail обязательно для заполнения!<br/>';
        }
        elseif (!preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $_POST['email'])) {
            $error.= 'Поле e-mail заполнено неверно!<br/>';
        }
        elseif ($num == 0) {
            $error.= 'Аккаунта с указанным E-mail не существует!<br/>';
        }
        if (empty($_POST['code'])) {
            $error.= 'Введите код с картинки!<br/>';
        }
        elseif ($_SESSION['code'] != $_POST['code']) {
            $error.= 'Код с картинки введен неверно!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `pass` = ? where `login` = ? limit 1");
            if ($stmt->execute(array(md5(md5($gen_pass)), $_POST['login']))) {
                mailto($_POST['email'], 'Восстановление пароля', 'Вы запросили восстановления пароля!<br/>Ваш новый пароль: '.$gen_pass.'<br/> Ссылка для автологина: '.ROOT.'/?login='.$_POST['login'].'&pass='.$gen_pass, $support_mail);
                echo '<div class="menu">Данные высланы на указанный вами E-mail.</div>';
            } else {
                echo '<div class="menu">Ошибка при восстановлении пароля!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    Логин:<br/><input type="text" name="login" maxlength="15"><br/>
    E-mail:<br/><input type="text" name="email" maxlength="35"><br/>
    Код с картинки:<img src="/img/code.php" alt="check"><br/>
    <input type="text" name="code"><br/>
    <input type="submit" value="Восстановить">
    </form></div>';
}
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>