<?php
$title = 'Сообщения';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    echo '<div class="title">Сообщения ('.$count_mail . $new_mail.')</div>
    <div class="forlink"><a href="/mail/add" class="links"><img src="/img/write.png" alt=""> Новое сообщение</a></div>';
    if (isset($_GET['del'])) {
        if (!user($_GET['del'], 1)) {
            header('location: /mail');
        } else {
            if ($_GET['del'] == $user['login']) {
                header('location: /mail');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /mail');
                }
                elseif (isset($_POST['submit'])) {
                    // Удаляем сообщения
                    $clean = $connect->prepare("delete from `mail` where `user` = :user and `who` = :who or `user` = :who and `who` = :user");
                    $clean->execute(array(
                        ':user' => $_GET['del'],
                        ':who' => $user['login']
                    ));
                    // Удаляем контакт
                    $delete = $connect->prepare("delete from `contacts` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
                    $delete->execute(array(
                        ':from' => $_GET['del'],
                        ':to' => $user['login']
                    ));
                    header('location: /mail');
                } else {
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="submit" value="Очистить диалог">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
        }
    }

    $k_post = $count_mess;
    $k_page = k_page($k_post, 10);
    $page = page($k_page);
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `contacts` where `user_from` = :user or `user_to` = :user order by `time` desc limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_mess == 0) {
        echo '<div class="menu">Нет контактов.</div>';
    } else {
        $stmt_new = $connect->prepare("select count(`id`) from `mail` where `who` = ? and `user` = ? and `read` = '0'");
        foreach ($sql as $row) {
            // контакт
            $contact = $row['user_from'] == $user['login'] ? $row['user_to'] : $row['user_from'];
            // новые сообщения
            $stmt_new->execute(array($user['login'], $contact));
            $mail = $stmt_new->fetchColumn();

            echo '<div class="menu">
            Контакт: '.(user($contact, 1) ? '<a href="/user/'.uid($contact).'" class="mlink">'.$contact.'</a>' : $contact).'<br/>
            Новых сообщений: '.$mail.'<br/>
            <div class="butt2">
            <a href="/mail/read/'.uid($contact).'">Читать</a>
            <a href="?del='.urlencode($contact).'">Удалить</a>
            </div>
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>