<?php
$title = 'Уведомления';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    echo '<div class="title">Уведомления ('.$not . $new_not.')</div>
    '.($not > 0 ? '<div class="menu"><div class="butt2"><a href="?clean">Очистить прочитанное</a></div></div>' : '');
    if (isset($_GET['clean'])) {
        // очистка
        $stmt = $connect->prepare("delete from `notifications` where `new` = '0' and `uid` = ?");
        $stmt->execute(array($user['id']));
        header('Location: /notifications');
    }

    $k_post = $not; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `notifications` where `uid` = :user order by `new` desc, `id` desc limit :start, 10");
    $data->bindValue(':user', $user['id'], PDO::PARAM_INT);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($not == 0) {
        echo '<div class="menu">Уведомлений нет!</div>';
    } else {
        foreach ($sql as $row) {
            if ($row['new'] == 1) {
                // читаем
                $stmt = $connect->prepare("update `notifications` set `new` = '0' where `id` = ?");
                $stmt->execute(array($row['id']));
            }
            echo '<div class="menu">
            '.nl2br(smiles(bb(bblinks($row['text'])))).'<br/>
            '.daytime($row['time']).'<br/>
            <div class="chi">'.($row['new'] == 1 ? 'новое' : 'прочитано').'</div>
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>