<?php
$title = 'Угадай число';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $num_on == 1) {
    echo '<div class="title">Добавить ставку</div>';
    $m_plus = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
    $m_minus = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
    if (isset($_POST['add'])) {
        $error = '';
        if (empty($_POST['cash'])) {
            $error.= 'Введите ставку!<br/>';
        }
        elseif ($_POST['cash'] < 1) {
            $error.= 'Минимальная ставка - 1 рубль!<br/>';
        }
        elseif ($_POST['cash'] > 10) {
            $error.= 'Максимальная ставка - 10 рублей!<br/>';
        }
        elseif ($user['money'] < $_POST['cash']) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (empty($_POST['num'])) {
            $error.= 'Введите число!<br/>';
        }
        elseif ($_POST['num'] < 1 or $_POST['num'] > 5) {
            $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $num = val($_POST['num'], 1);
            $cash = val($_POST['cash'], 2);
            $stmt2 = $connect->prepare("insert into `num` set `time` = ?, `user` = ?, `cash` = ?, `num` = ?");
            $m_minus->execute(array($cash, $user['id']));
            $stmt2->execute(array(time(), $user['login'], $cash, $num));
            echo '<div class="menu">Ставка успешно добавлена!</div>';
            header('Refresh: 1');
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    Ставка:<br/><input type="text" name="cash"><br/>
    Число (1-5):<br/><input type="text" name="num"><br/>
    <input type="submit" name="add" value="Продолжить">
    </form></div>';
    echo '<div class="title">Угадай число</div>';
    if (isset($_GET['play'])) {
        $strow = $connect->prepare("select * from `num` where `id` = ?");
        $strow->execute(array($_GET['play']));
        $row = $strow->fetch(PDO::FETCH_LAZY);
        $num = $strow->rowCount();
        if ($num == 0) {
            header('location: /play/num');
        } else {
            if ($row['user'] == $user['login']) {
                header('location: /play/num');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /play/num');
                }
                elseif (isset($_POST['submit'])) {
                    $error = '';
                    if ($user['money'] < $row['cash']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    elseif (empty($_POST['num'])) {
                        $error.= 'Введите число!<br/>';
                    }
                    elseif ($_POST['num'] < 1 or $_POST['num'] > 5) {
                        $error.= 'Число должно быть не меньше 1 и не больше 5!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $num = val($_POST['num'], 1);
                        $delete = $connect->prepare("delete from `num` where `id` = ?");
                        if ($row['num'] == $num) {
                            notification('[b]'.$user['login'].'[/b] угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['user'], 1);
                            $m_plus->execute(array($row['cash'], $user['login']));
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы угадали число!</div>';
                        } else {
                            notification('[b]'.$user['login'].'[/b] не угадал ваше число в [url='.ROOT.'/play/num]игре[/url].', $row['user'], 1);
                            $m_minus->execute(array($row['cash'], $user['id']));
                            $m_plus->execute(array($row['cash'] * 2, $row['user']));
                            $delete->execute(array($row['id']));
                            echo '<div class="menu">Вы не угадали число!</div>';
                        }
                        if ($version == 'mobile') echo '<div class="forlink"><a href="/play" class="links"><img src="/img/play.png" alt=""> Игры</a></div>';
                        exit(include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php"));
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                Число:<br/><input type="text" name="num"><br/>
                <input type="submit" name="submit" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена"><br/>
                <div class="chi">Ставка: '.$row['cash'].' руб.</div>
                </form></div>';
            }
        }
    } else {

        $k_post = $count_num; 
        $k_page = k_page($k_post, 10); 
        $page = page($k_page); 
        $start = 10 * $page - 10;

        $sql = $connect->query("select * from `num` order by `time` desc limit ".$start.", 10")->fetchAll();
        if ($count_num == 0) {
            echo '<div class="menu">Ставок нет!</div>';
        } else {
            foreach ($sql as $row) {
                echo '<div class="menu">Пользователь: '.(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>Ставка: '.$row['cash'].' руб.<br/>'.($row['user'] != $user['login'] ? '<div class="butt2"><a href="?play='.$row['id'].'">Играть</a></div>' : 'Ваша ставка').'</div>';
            }
            if ($k_page > 1) navigation($k_page, $page);
        }
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/play" class="links"><img src="/img/play.png" alt=""> Игры</a></div>';
} else {
    header('Location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>