<?php
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $shop_on == 1) {
    // проверка токена
    if (isset($_GET['token']) && isset($_SESSION['token']) && md5($_GET['token']) == $_SESSION['token']) {
        // Проверка покупки
        $stmt_count = $connect->prepare("select count(*) from `purchase` where `pid` = ? and `user` = ?");
        $stmt_count->execute(array($id, $user['login']));
        $count = $stmt_count->fetchColumn();
        // Определяем автора
        $stmt_sell = $connect->prepare("select count(*) from `shop` where `id` = ? and `user` = ?");
        $stmt_sell->execute(array($id, $user['login']));
        $seller = $stmt_sell->fetchColumn();
        if ($count == 0 && $seller == 0) {
            header('Location: /shop/product/'.$id);
        } else {
            if ($seller > 0) {
                $stmt_row = $connect->prepare("select * from `shop` where `id` = ?");
                $stmt_row->execute(array($id));
            } else {
                $stmt_row = $connect->prepare("select * from `purchase` where `pid` = ? and `user` = ?");
                $stmt_row->execute(array($id, $user['login']));
            }
            $row = $stmt_row->fetch(PDO::FETCH_LAZY);
            $fileshop = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$row['file'];
            if (file_exists($fileshop) && $row['file']) {
                if (is_readable($fileshop)) {
                    // выдаем файл
                    file_force_download($fileshop, 1);
                } else {
                    echo '<div class="title">ERROR</div>
                    <div class="menu">Ошибка открытия файла! Обратитесь к администрации.</div>';
                }
            } else {
                header('Location: /shop/product/'.$id);
            }
        }
    } else {
        header('Location: /shop/product/'.$id);
    }
} else {
    header('Location: /shop/product/'.$id);
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>