<?php
$title = 'Магазин скриптов';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $shop_on == 1) {
    echo '<div class="title">Магазин скриптов</div>';

    $k_post = $count_shop; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `shop` where `status` = '1' order by `id` desc limit :start, 10");
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_shop == 0) {
        echo '<div class="menu">Товаров нет!</div>';
    } else {
        foreach ($sql as $row) {
            echo '<div class="forlink">
            <a href="/shop/product/'.$row['id'].'" class="links">
            <img src="/img/product.png" alt=""> '.$row['name'].'
            <div class="chi">'.$row['cena'].'</div>
            </a></div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    echo '<div class="title">Меню</div>
    <div class="forlink"><a href="/shop/add" class="links"><img src="/img/add.png" alt=""> Добавить товар</a></div>
    <div class="forlink"><a href="/shop/my" class="links"><img src="/img/myshop.png" alt=""> Мои товары ('.$count_user_shop.')</a></div>
    <div class="forlink"><a href="/shop/purchase" class="links"><img src="/img/shop.png" alt=""> Мои покупки ('.$user_purch.')</a></div>
    <div class="forlink"><a href="/shop/basket" class="links"><img src="/img/bk.png" alt=""> Корзина ('.$user_bk.')</a></div>
    <div class="forlink"><a href="/info/shop" class="links"><img src="/img/rules.png" alt=""> Правила магазина</a></div>';
    echo '<div class="title">Статистика</div>
    <div class="menu">
    Продаж за сегодня: '.$day_sell.'<br/>
    На сумму: '.val($sum_day_sell).' руб.<hr/>
    Продаж за все время: '.$all_sell.'<br/>
    На сумму: '.val($sum_all_sell).' руб.</div>
    <div class="menu">
    Всего товаров: '.$count_shop.'<br/>
    Новых: '.$c_new_shop.'<br/>
    На модерации: '.$c_mod_shop.'</div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>