<?php
$title = 'Список покупателей';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $shop_on == 1) {
    // Ищем товар
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $stmt_count->execute(array($id));
    $shop_count = $stmt_count->fetchColumn();
    if ($shop_count == 0) {
        header('Location: /shop');
    } else {
        // Определяем автора
        $stmt_sell = $connect->prepare("select count(*) from `shop` where `id` = ? and `user` = ?");
        $stmt_sell->execute(array($id, $user['login']));
        $seller = $stmt_sell->fetchColumn();
        // Количество покупок
        $stmt_purch = $connect->prepare("select count(*) from `purchase` where `pid` = ?");
        $stmt_purch->execute(array($id));
        $purch = $stmt_purch->fetchColumn();
        echo '<div class="title">Список покупателей ('.$purch.')</div>';
        if (isset($_GET['back']) && ($adm_id == 1 or $seller > 0)) {
            $stmt_num = $connect->prepare("select count(*) from `purchase` where `id` = ?");
            $stmt_num->execute(array($_GET['back']));
            $num = $stmt_num->fetchColumn();
            if ($num > 0) {
                $strow_p = $connect->prepare("select * from `purchase` where `id` = ?");
                $strow_p->execute(array($_GET['back']));
                $p_row = $strow_p->fetch(PDO::FETCH_LAZY);
                if ($p_row['status'] == 1) {
                    header('Location: /shop/list/'.$id);
                } else {
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/list/'.$id);
                    }
                    elseif (isset($_POST['yes'])) {
                        $stmt1 = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                        $stmt2 = $connect->prepare("delete from `purchase` where `id` = ?");
                        if ($stmt1->execute(array($p_row['sum'], $p_row['user'])) && $stmt2->execute(array($_GET['back']))) {
                            header('Location: /shop/list/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Подтвердить возврат ('.val($_GET['back'], 1).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            } else {
                header('Location: /shop/list/'.$id);
            }
        }

        $k_post = $purch;
        $k_page = k_page($k_post, 10); 
        $page = page($k_page);
        $start = 10 * $page - 10;

        $data = $connect->prepare("select * from `purchase` where `pid` = :pid order by `id` desc limit :start, 10");
        $data->bindValue(':pid', $id, PDO::PARAM_INT);
        $data->bindValue(':start', $start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();
        if ($purch == 0) {
            echo '<div class="menu">Записей нет!</div>';
        } else {
            foreach ($sql as $row) {
                $review = $row['status'] == 1 ? 'положительный' : 'отрицательный';
                echo '<div class="menu">
                Пользователь: '.(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>
                Сумма: '.$row['sum'].' руб.<br/>
                '.($row['status'] != 0 ? 'Отзыв: '.$review.'<br/>' : '').'
                Дата: '.daytime($row['time']).
                ($row['status'] != 1 && ($adm_id == 1 or $seller > 0) ? '<br/><div class="butt2"><a href="?back='.$row['id'].'">Возврат средств</a></div>' : '').'
                </div>';
            }
            if ($k_page > 1) navigation($k_page, $page);
        }
        echo '<div class="forlink"><a href="/shop/product/'.$id.'" class="links"><img src="/img/product.png" alt=""> Вернуться к товару</a></div>';
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>