<?php
$title = 'Просмотр товара';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($shop_on == 1) {
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $stmt_count->execute(array($id));
    $shop_count = $stmt_count->fetchColumn();
    if ($shop_count == 0) {
        header('Location: /');
    } else {

        // prepared
        $del_screen = $connect->prepare("delete from `screen` where `id` = ?");
        $in_basket = $connect->prepare("insert into `basket` set `pid` = ?, `user` = ?");
        $del_basket = $connect->prepare("delete from `basket` where `pid` = ? and `user` = ?");

        // продано копий
        $stmt_purch = $connect->prepare("select count(*) from `purchase` where `pid` = ?");
        $stmt_purch->execute(array($id));
        $purch = $stmt_purch->fetchColumn();
        // комментарии
        $stmt_comm = $connect->prepare("select count(*) from `comments` where `did` = ? and `type` = '2'");
        $stmt_comm->execute(array($id));
        $count_comm = $stmt_comm->fetchColumn();
        // скрины
        $stmt_screen = $connect->prepare("select count(*) from `screen` where `did` = ? and `type` = '1'");
        $stmt_screen->execute(array($id));
        $count_screen = $stmt_screen->fetchColumn();
        // корзина
        $stmt_num_bk = $connect->prepare("select count(*) from `basket` where `pid` = ?");
        $stmt_num_bk->execute(array($id));
        $num_bk = $stmt_num_bk->fetchColumn();

        // row
        $stmt_row = $connect->prepare("select * from `shop` where `id` = ?");
        $stmt_row->execute(array($id));
        $row = $stmt_row->fetch(PDO::FETCH_LAZY);

        // Файл
        $fileshop = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$row['file'];
        $type = $row['uid'] == 0 ? 'универсальный' : 'заказ для '.ulogin($row['uid'], $connect);
        $col = $row['limit'] == 0 ? 'не ограничено' : $row['col'];

        echo '<div class="title">Просмотр товара: '.$row['name'].'</div>';

        if (isset($active) == true) {

            // наличие в покупках юзера
            $stmt_purchase = $connect->prepare("select count(*) from `purchase` where `pid` = ? and `user` = ?");
            $stmt_purchase->execute(array($id, $user['login']));
            $user_purchase = $stmt_purchase->fetchColumn();
            // отзыв
            $stmt_rev = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ? and `user` = ?");
            $stmt_rev->execute(array($id, $user['login']));
            $u_rev = $stmt_rev->fetchColumn();
            // корзина
            $stmt_bk = $connect->prepare("select count(*) from `basket` where `pid` = ? and `user` = ?");
            $stmt_bk->execute(array($id, $user['login']));
            $bk = $stmt_bk->fetchColumn();

            if (isset($_GET['bk']) && $row['user'] != $user['login'] && $user_purchase == 0) {
                if (isset($_POST['cancel'])) {
                    header('Location: /shop/product/'.$id);
                }
                elseif (isset($_POST['yes'])) {
                    if ($bk == 0) {
                        notification('[b]'.$user['login'].'[/b] добавил ваш товар [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url] в корзину.', $row['user'], 1);
                        $in_basket->execute(array($id, $user['login']));
                    } else {
                        $del_basket->execute(array($id, $user['login']));
                    }
                    header('Location: /shop/product/'.$id);
                } else {
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="'.($bk == 0 ? 'Добавить в корзину' : 'Удалить из корзины').' ('.$id.')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
            elseif (isset($_GET['review']) && $row['user'] != $user['login'] && $user_purchase > 0 && $u_rev > 0) {
                if (isset($_POST['yes'])) {
                    $status = val($_POST['status'], 1);
                    $stmt = $connect->prepare("update `purchase` set `status` = ? where `pid` = ? and `user` = ?");
                    if ($stmt->execute(array($status, $id, $user['login']))) {
                        // обработка платежа
                        if ($status == 1) {
                            // Рейтинг
                            ratingUser($shop_r, $row['user'], 1);
                            // row
                            $stmt_rev = $connect->prepare("select * from `purchase` where `pid` = ? and `user` = ?");
                            $stmt_rev->execute(array($id, $user['login']));
                            $rev = $stmt_rev->fetch(PDO::FETCH_LAZY);
                            // Выплата
                            $stmt = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                            $stmt->execute(array($rev['sum'], $rev['seller']));
                        }
                        // оповещение
                        notification('[b]'.$user['login'].'[/b] оставил к вашему товару [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url] '.($status == 1 ? '[color=green]положительный[/color]' : '[color=red]отрицательный[/color]').' отзыв.', $row['user'], 1);
                        header('Location: /shop/product/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /shop/product/'.$id);
                } else {
                    echo '<div class="menu">
                    <form action="" method="post">
                    Отзыв:<br/><select name="status">
                    <option value="1">Положительный</option>
                    <option value="2">Отрицательный</option>
                    </select><br/>
                    <input type="submit" name="yes" value="Продолжить ('.$id.')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                }
            }
            if (isset($_GET['dsc']) && $row['user'] == $user['login']) {
                $stmt_num = $connect->prepare("select count(*) from `screen` where `id` = ? and `did` = ? and `type` = '1'");
                $stmt_num->execute(array($_GET['dsc'], $id));
                $num = $stmt_num->fetchColumn();
                if ($num == 0) {
                    header('Location: /shop/product/'.$id);
                } else {
                    $stmt_scrow = $connect->prepare("select * from `screen` where `id` = ?");
                    $stmt_scrow->execute(array($_GET['dsc']));
                    $scrow = $stmt_scrow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['yes'])) {
                        $del_screen->execute(array($_GET['dsc']));
                        unlink($_SERVER["DOCUMENT_ROOT"]."/files/".$scrow['file']);
                        header('Location: /shop/product/'.$id);
                    } else {
                        echo '<div class="menu">
                        <form action="" method="post">
                        <input type="submit" name="yes" value="Удалить ('.val($_GET['dsc'], 1).')">
                        <input type="submit" name="cancel" value="Отмена">
                        </form></div>';
                    }
                }
            }
        }
        if ($count_screen > 0) {
            $data = $connect->prepare("select * from `screen` where `did` = ?  and `type` = '1' order by `id`");
            $data->execute(array($id));
            $sql = $data->fetchAll();
            echo '<div class="menu">';
            foreach ($sql as $scrow) {
                if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/".$scrow['file']) && $scrow['file']) {
                    echo '<span class="screen">
                    <a href="/files/'.$scrow['file'].'"><img src="/shop/screen/'.$scrow['file'].'" alt=""></a>
                    '.(isset($active) && $row['user'] == $user['login'] ? '<br/><a href="?dsc='.$scrow['id'].'">Удалить</a>' : '').'
                    </span>';
                } else {
                    $del_screen->execute(array($scrow['id']));
                }
            }
            echo '</div>';
        }
        echo '<div class="menu">
        '.nl2br(smiles(bb(bblinks($row['text'])))).'</div>
        <div class="menu">Продавец: '.(isset($active) && user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>
        Количество копий: '.$col.'<br/>
        Продано копий: '.$purch.'<br/>
        Добавили в корзину: '.$num_bk.' чел.<br/>
        Тип: '.$type . (file_exists($fileshop) && $row['file'] ? '<br/>
        Размер файла: '.get_filesize($fileshop) : '').'<br/>
        '.($row['upd'] == 0 ? 'Дата добавления: ' : 'Последнее обновление: ') . daytime($row['time']).'<br/>
        Стоимость: '.$row['cena'].' руб.<br/>
        <div class="butt2">
        <a href="/shop/seller/'.uid($row['user']).'">Все товары автора</a><br/>
        '.(isset($active) ? ($row['user'] != $user['login'] && $user_purchase == 0 ? '<a href="?bk">'.($bk == 0 ? 'В корзину' : 'Удалить из корзины').'</a>' : '').
        ($row['user'] != $user['login'] && $user_purchase > 0 && $u_rev > 0 ? '<a href="?review">Отзыв</a>' : '').'
        <a href="/shop/comments/'.$id.'">Комментарии ('.$count_comm.')</a>
        <a href="/shop/list/'.$id.'">Покупатели ('.$purch.')</a>
        '.($row['user'] == $user['login'] ? '<br/><a href="?del">Удалить</a>
        <a href="?edit">Редактировать</a>
        <a href="?screen">Скриншоты</a>
        <a href="?upd">Замена архива</a>' : '') : '').'
        </div></div>';
        if (isset($active) == true) {
            if (file_exists($fileshop) && $row['file']) {
                if ($user_purchase > 0 or $row['user'] == $user['login']) {
                    $token = bin2hex(random_bytes(5));
                    $_SESSION['token'] = md5($token);
                    echo '<div class="forlink"><a href="/shop/download/'.$id.'?token='.$token.'" class="links"><img src="/img/download.png" alt=""> Загрузить</a></div>';
                }
            }
            if ($row['user'] == $user['login']) {
                if (isset($_GET['screen'])) {
                    echo '<div class="title">Скриншоты</div>';
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['uploadscreen'])) {
                        $error = '';
                        if (!file_exists($_FILES['filename']['tmp_name'])) {
                            $error.= 'Вы не выбрали файл!<br/>';
                        }
                        elseif (!is_safePicture(['jpg', 'jpeg', 'png'], $_FILES['filename']['name'], $_FILES['filename']['tmp_name'])) {
                            $error.= 'Неверный тип файла!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1048576) {
                            $error.= 'Максимальный размер файла - 1 Mb!<br/>';
                        }
                        if ($count_screen >= 10) {
                            $error.= 'Максимальное количество скриншотов - 10!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $token = random_int(11111, 99999);
                            $files = $user['id']."_".$token."_".$_FILES['filename']['name'];
                            $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/".$files;
                            $stmt = $connect->prepare("insert into `screen` set `file` = ?, `did` = ?, `type` = '1'");
                            if ($stmt->execute(array($files, $id)) && move_uploaded_file($_FILES['filename']['tmp_name'], $full_path)) {
                                header('Location: /shop/product/'.$id.'?screen');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post" enctype="multipart/form-data">
                    Файл:<br/><input type="file" name="filename"><br/>
                    <input type="submit" name="uploadscreen" value="Загрузить ('.$id.')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
                elseif (isset($_GET['del'])) {
                    // платежи
                    $stmt_p = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ?");
                    $stmt_p->execute(array($id));
                    $p_shop = $stmt_p->fetchColumn();
                    if ($p_shop == 0) {
                        if (isset($_POST['cancel'])) {
                            header('Location: /shop/product/'.$id);
                        }
                        elseif (isset($_POST['del'])) {
                            $del_shop = $connect->prepare("delete from `shop` where `id` = ?");
                            $del_basket = $connect->prepare("delete from `basket` where `pid` = ?");
                            $del_screen = $connect->prepare("delete from `screen` where `did` = ? and `type` = '1'");
                            $del_comm = $connect->prepare("delete from `comments` where `did` = ? and `type` = '2'");
                            if ($del_shop->execute(array($id)) && $del_basket->execute(array($id)) && $del_screen->execute(array($id)) && $del_comm->execute(array($id))) {
                                if ($purch == 0 && file_exists($fileshop) && $row['file']) unlink($fileshop);
                                header('Location: /shop');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                        echo '<div class="menu">
                        <form action="" method="post">
                        <input type="submit" name="del" value="Удалить ('.$id.')">
                        <input type="submit" name="cancel" value="Отмена">
                        </form></div>';
                    } else {
                        header('Location: /shop/product/'.$id);
                    }
                }
                elseif (isset($_GET['edit'])) {
                    echo '<div class="title">Редактировать</div>';
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['edit'])) {
                        $error = '';
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название товара!<br/>';
                        }
                        elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 250) {
                            $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                        }
                        if (empty($_POST['text'])) {
                            $error.= 'Введите описание товара!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 10 or mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Описание должно содержать от 10 до 2500 символов!<br/>';
                        }
                        if (empty($_POST['cena'])) {
                            $error.= 'Введите стоимость товара!<br/>';
                        }
                        elseif ($_POST['cena'] < 1) {
                            $error.= 'Минимальная стоимость товара - 1!<br/>';
                        }
                        if ($_POST['uid'] != 0 && !user($_POST['uid'])) {
                            $error.= 'Пользователь с таким ID не найден в системе!<br/>';
                        }
                        elseif ($_POST['uid'] == $user['id']) {
                            $error.= 'Нельзя продавать самому себе!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $uid = val($_POST['uid'], 1);
                            $col = $uid == 0 ? val($_POST['col'], 1) : 1;
                            $cena = val($_POST['cena'], 2);
                            $limit = $col == 0 ? 0 : 1;
                            $stmt = $connect->prepare("update `shop` set `name` = ?, `text` = ?, `cena` = ?, `col` = ?, `limit` = ?, `uid` = ? where `id` = ?");
                            if ($stmt->execute(array($_POST['name'], $_POST['text'], $cena, $col, $limit, $uid, $id))) {
                                header('Location: /shop/product/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Название товара:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                    Описание товара:<br/><textarea name="text" rows="3" cols="20">'.$row['text'].'</textarea><br/>
                    Стоимость товара:<br/><input type="text" name="cena" value="'.$row['cena'].'"><br/>
                    Количество копий (0 - без ограничений):<br/><input type="text" name="col" value="'.$row['col'].'"><br/>
                    ID покупателя (0 - доступен всем):<br/><input type="text" name="uid" value="'.$row['uid'].'"><br/>
                    <input type="submit" name="edit" value="Сохранить ('.$id.')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
                elseif (isset($_GET['upd'])) {
                    echo '<div class="title">Замена архива</div>';
                    if (isset($_POST['cancel'])) {
                        header('Location: /shop/product/'.$id);
                    }
                    elseif (isset($_POST['uploadnew'])) {
                        $error = '';
                        if (!file_exists($_FILES['filename']['tmp_name'])) {
                            $error.= 'Вы не выбрали файл!<br/>';
                        }
                        elseif (!is_safeFile(['zip', 'rar', '7z'], $_FILES['filename']['name'])) {
                            $error.= 'Неверный тип файла: разрешено загружать только ZIP/RAR/7Z!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1048576 * 25) {
                            $error.= 'Максимальный размер файла - 25 Mb!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if (file_exists($fileshop) && $row['file']) unlink($fileshop);
                            $uqid = uniqid();
                            $token = bin2hex(random_bytes(10));
                            $num = random_int(11111, 99999);
                            $files = $user['id']."_".$uqid."_".$token."_".$num."_".$_FILES['filename']['name'];
                            $full_path = $_SERVER["DOCUMENT_ROOT"]."/files/shop/".$files;
                            $stmt1 = $connect->prepare("update `shop` set `upd` = '1', `time` = ?, `file` = ? where `id` = ?");
                            $stmt2 = $connect->prepare("update `purchase` set `file` = ? where `pid` = ?");
                            if ($stmt1->execute(array(time(), $files, $id)) && $stmt2->execute(array($files, $id)) && move_uploaded_file($_FILES['filename']['tmp_name'], $full_path)) {
                                chmod($full_path, 0444);
                                header('Location: /shop/product/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post" enctype="multipart/form-data">
                    Файл:<br/><input type="file" name="filename"><br/>
                    <input type="submit" name="uploadnew" value="Заменить ('.$id.')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            } elseif ($row['status'] == 1) {
                if (file_exists($fileshop) && $row['file']) {
                    if ($user_purchase == 0) {
                        if ($row['limit'] == 1 && $row['col'] <= 0) {
                            echo '<div class="menu">Все копии распроданы!</div>';
                        } else {
                            if (($row['uid'] != 0 && $row['uid'] == $user['id']) or $row['uid'] == 0) {
                                if ($user['money'] >= $row['cena']) {
                                    if (isset($_GET['buy']) && isset($_SESSION['buy_t']) && md5($_GET['buy']) == $_SESSION['buy_t']) {
                                        if (isset($_POST['cancel'])) {
                                            header('Location: /shop/product/'.$id);
                                        }
                                        elseif (isset($_POST['yes'])) {
                                            // покупка
                                            $stmt1 = $connect->prepare("insert into `purchase` set `time` = ?, `pid` = ?, `name` = ?, `file` = ?, `user` = ?, `seller` = ?, `sum` = ?");
                                            $stmt2 = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
                                            $stmt3 = $connect->prepare("update `shop` set `col` = `col` - '1' where `id` = ?");
                                            if ($stmt1->execute(array(time(), $id, $row['name'], $row['file'], $user['login'], $row['user'], $row['cena'])) && $stmt2->execute(array($row['cena'], $user['id'])) && $del_basket->execute(array($id, $user['login']))) {
                                                notification('[b]'.$user['login'].'[/b] купил ваш товар [url='.ROOT.'/shop/product/'.$id.']'.$row['name'].'[/url]', $row['user'], 1);
                                                ratingUser($buy_r, $user['id']);
                                                if ($row['limit'] == 1) {
                                                    $stmt3->execute(array($id));
                                                }
                                                header('Location: /shop/purchase');
                                            } else {
                                                echo '<div class="menu">Произошла ошибка!</div>';
                                            }
                                        } else {
                                            echo '<div class="menu">
                                            <form action="" method="post"><input type="submit" name="yes" value="Подтвердить покупку ('.$id.')">
                                            <input type="submit" name="cancel" value="Отмена">
                                            </form></div>';
                                        
                                        }
                                    } else {
                                        $token = bin2hex(random_bytes(5));
                                        $_SESSION['buy_t'] = md5($token);
                                        echo '<div class="forlink"><a href="?buy='.$token.'" class="links"><img src="/img/money.png" alt=""> Купить</a></div>';
                                    }
                                } else {
                                    echo '<div class="menu">Недостаточно средств для покупки!</div>';
                                }
                            }
                        }
                    }
                }
            }
        if ($version == 'mobile') echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt=""> Магазин скриптов</a></div>';
        } else {
            echo '<div class="menu">Авторизируйтесь, чтобы была возможность купить товар.</div>';
        }
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>