<?php
$title = 'Магазин скриптов';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($shop_on == 1) {
    if (!user($id)) {
        header('location: /');
    } else {

        $seller = user($id);

        echo '<div class="title">Магазин '.$seller['login'].'</div>';

        $stmt_count = $connect->prepare("select count(*) from `shop` where `user` = ?");
        $stmt_count->execute(array($seller['login']));
        $s_count = $stmt_count->fetchColumn();

        $k_post = $s_count; 
        $k_page = k_page($k_post, 10); 
        $page = page($k_page); 
        $start = 10 * $page - 10;

        $data = $connect->prepare("select * from `shop` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $seller['login']);
        $data->bindValue(':start', $start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();
        if ($s_count == 0) {
            echo '<div class="menu">Товаров нет!</div>';
        } else {
            foreach ($sql as $row) {
                echo '<div class="forlink">
                <a href="/shop/product/'.$row['id'].'" class="links">
                <img src="/img/product.png" alt=""> '.$row['name'].'
                <div class="chi">'.($row['status'] == 1 ? $row['cena'] : 'На модерации').'</div>
                </a></div>';
            }
            if ($k_page > 1) navigation($k_page, $page);
        }
        
        if (isset($active) == true) {
            if ($version == 'mobile') echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt=""> Магазин скриптов</a></div>';
        } else {
            echo '<div class="menu">Авторизируйтесь, чтобы была возможность купить товар.</div>';
        }
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>