<?php
$title = 'Выполнение заданий';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $task_on == 1) {
    echo '<div class="title">Выполнение заданий ('.$count_tasks.')</div>';

    $k_post = $count_tasks; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `task` where `status` = '1' and `col` > '0' and `user` != :user order by `id` desc limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_tasks == 0) {
        echo '<div class="menu">Заданий нет!</div>';
    } else {
        foreach ($sql as $row) {
            echo '<div class="forlink"><a href="/task/view/'.$row['id'].'" class="links"><img src="/img/task.png" alt=""> '.$row['name'].'<span class="count">'.$row['cena'].'</span></a></div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    echo '<div class="title">Меню</div>
    <div class="forlink"><a href="/task" class="links"><img src="/img/quest.png" alt=""> Мои задания ('.$count_user_tasks.')</a></div>
    <div class="forlink"><a href="/task/stat" class="links"><img src="/img/stats.png" alt=""> Статистика выполнений ('.$user_task_stat.')</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>