<?php
$title = 'Просмотр задания';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $task_on == 1) {
    echo '<div class="title">Просмотр задания</div>';
    $stmt_num_task = $connect->prepare("select count(*) from `task` where `id` = ?");
    $stmt_num_task->execute(array($id));
    $num_task = $stmt_num_task->fetchColumn();
    if ($num_task > 0) {
        $strow = $connect->prepare("select * from `task` where `id` = ?");
        $strow->execute(array($id));
        $row = $strow->fetch(PDO::FETCH_LAZY);
        $stmt_answer = $connect->prepare("select count(*) from `task_ans` where `user` = ? and `tid` = ?");
        $stmt_answer->execute(array($user['login'], $id));
        $answer = $stmt_answer->fetchColumn();
        $stmt_send = $connect->prepare("select count(*) from `task_ans` where `status` = '0' and `tid` = ?");
        $stmt_send->execute(array($id));
        $send_ans = $stmt_send->fetchColumn();
        echo '<div class="menu">
        <img src="/img/task.png" alt="">'.$row['name'].'<hr/>
        '.nl2br(smiles(bb(bblinks($row['text'])))).'</div>
        <div class="menu">Создатель задания: '.(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>
        Оплата за выполнение: '.$row['cena'].' руб.</div>';
        if ($send_ans >= $row['col']) {
            echo '<div class="menu">Подождите, пока старые заявки будут обработаны и баланс задания будет пополнен!</div>';
        }
        elseif ($answer == 0 && $row['user'] != $user['login'] && $send_ans < $row['col'] && $row['col'] > 0 && $row['status'] == 1) {
            echo '<div class="title">Отчет</div>';
        if (isset($_POST['answer'])) {
            $error = '';
            if (empty($_POST['text'])) {
                $error = 'Введите сообщение!<br/>';
            }
            elseif (mb_strlen($_POST['text']) < 5 or mb_strlen($_POST['text']) > 2500) {
                $error = 'Сообщение должно содержать от 5 до 2500 символов!<br/>';
            }
            if (file_exists($_FILES['filename']['tmp_name'])) {
                $token = random_int(11111, 99999);
                $files = $token."_".$_FILES['filename']['name'];
                if (!is_safeFile(['jpg', 'jpeg', 'png', 'gif', 'zip', 'rar', '7z'], $_FILES['filename']['name'])) {
                    $error.= 'Неверный тип файла!<br/>';
                }
                if ($_FILES['filename']['size'] > 1048576 * 5) {
                    $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                $stmt = $connect->prepare("insert into `task_ans` set `time` = ?, `user` = ?, `text` = ?, `tid` = ?, `file` = ?");
                if ($stmt->execute(array(time(), $user['login'], $_POST['text'], $row['id'], $files ?? false))) {
                    notification('[b]'.$user['login'].'[/b] отправил [url='.ROOT.'/task/ans/'.$id.']отчет[/url] по вашему заданию [url='.ROOT.'/task/view/'.$id.']'.$row['name'].'[/url] на проверку.', $row['user'], 1);
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                    }
                    echo '<div class="menu">Ваш отчет отправлен на проверку!</div>';
                    header('Refresh: 1');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<div class="menu">
        <form action="" method="post" enctype="multipart/form-data">
        Отчет о выполнении:<br/><textarea name="text" rows="3" cols="20"></textarea><br/>
        Прикрепить файл:<br/><input type="file" name="filename"><br/>
        <input type="submit" name="answer" value="Подтвердить выполнение">
        </form></div>';
        }
    } else {
        echo '<div class="menu">Нет такого задания!</div>';
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/task/list" class="links"><img src="/img/quest.png" alt=""> Задания ('.$count_tasks.')</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>