<?php
$title = 'Профиль';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    if (user($id) && !in_blacklist($user['id'], $id) && !in_blacklist($id, $user['id'])) {

        // row
        $row = user($id);
        
        // Плюсы
        $res_plus = $connect->prepare("select count(*) from `respect` where `review` = '1' and `to` = ?");
        $res_plus->execute(array($row['login']));
        $plus = $res_plus->fetchColumn();
        // Минусы
        $res_minus = $connect->prepare("select count(*) from `respect` where `review` = '0' and `to` = ?");
        $res_minus->execute(array($row['login']));
        $minus = $res_minus->fetchColumn();
        // Репутация
        $respect = $plus - $minus;

        // Площадки
        $stmt_link = $connect->prepare("select count(*) from `link` where `uid` = ?");
        $stmt_link->execute(array($id));
        $link = $stmt_link->fetchColumn();
        // Переходы
        $stmt_click = $connect->prepare("select count(*) from `click` where `uid` = ?");
        $stmt_click->execute(array($id));
        $click = $stmt_click->fetchColumn();
        // Магазин
        $stmt_sell = $connect->prepare("select count(*) from `shop` where `user` = ?");
        $stmt_sell->execute(array($row['login']));
        $sell = $stmt_sell->fetchColumn();
        // Рефералы
        $stmt_ref = $connect->prepare("select count(*) from `users` where `ref` = ?");
        $stmt_ref->execute(array($id));
        $ref = $stmt_ref->fetchColumn();
        // Выплачено юзеру
        $stmt_payments = $connect->prepare("select sum(`money`) from `payment` where `status` = '1' and `user` = ?");
        $stmt_payments->execute(array($row['login']));
        $u_payment = $stmt_payments->fetchColumn();
        // Друзья
        $stmt_fr = $connect->prepare("select count(*) from `friend` where `status` = '1' and (`user_from` = :user or `user_to` = :user)");
        $stmt_fr->execute(array(
            ':user' => $row['login']
        ));
        $count_fr = $stmt_fr->fetchColumn();
        // Заявка
        $strow_fr = $connect->prepare("select * from `friend` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
        $strow_fr->execute(array(
            ':from' => $row['login'],
            ':to' => $user['login']
        ));
        $row_fr = $strow_fr->fetch(PDO::FETCH_ASSOC);
        $u_fr = $strow_fr->rowCount();

        echo '<div class="title">Профиль '.$row['login'].'</div>';

        if (!online($id)) {
            echo '<div class="menu">Последний визит: '.daytime($row['lasttime']).'</div>';
        }

        if (isset($_GET['respect'])) {
            $stmt_count = $connect->prepare("select count(*) from `respect` where `from` = ? and `to` = ?");
            $stmt_count->execute(array($user['login'], $row['login']));
            $count = $stmt_count->fetchColumn();
            if ($count == 0 && $row['login'] != $user['login']) {
                // Отзыв
                $status = $_GET['respect'] == 1 ? 1 : 0;
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                }
                elseif (isset($_POST['review'])) {
                    $message = !empty($_POST['message']) ? '[br]Примечание: '.$_POST['message'] : '';
                    $stmt = $connect->prepare("insert into `respect` set `review` = ?, `from` = ?, `to` = ?");
                    $stmt->execute(array($status, $user['login'], $row['login']));
                    notification('[b]'.$user['login'].'[/b] '.($status == 1 ? '[color=green]повысил[/color]' : '[color=red]понизил[/color]').' вашу репутацию.'.$message, $id);
                    header('Location: /user/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="post">
                '.($status == 1 ? 'Повышение репутации' : 'Понижение репутации').'<hr/>
                Примечание:<br/><textarea name="message"></textarea><br/>
                <input type="submit" name="review" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } else {
                header('Location: /user/'.$id);
            }
        }
        echo '<div class="menu">
        '.($row['ban'] > time() ? '<div class="warning">Этот пользователь заблокирован!</div><br/>' : '').'
        <span class="online">'.online($id).'</span>
        '.(file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$row['avatar']) && $row['avatar'] ? '<img src="/files/avatar/'.$row['avatar'].'" alt="">' : '<img src="/files/avatar/no_avatar.png" alt="">').
        ($row['status'] ? '<div class="status_a"></div><div class="status">'.nl2br(smiles(bb($row['status']))).'</div>' : '').'
        </div>';
        if ($user['id'] != $row['id']) {
            if (p_mail_user($row['login'], $user['login'])) {
                echo '<div class="forlink"><a href="/mail/read/'.$row['id'].'" class="links"><img src="/img/mail.png" alt=""> Написать сообщение</a></div>';
            } else {
                echo '<div class="menu">Данному пользователю могут отправлять сообщения только друзья!</div>';
            }
        }
        echo '<div class="menu">
        '.($row['name'] ? 'Имя: '.$row['name'].'<br/>' : '').
        ($row['info'] ? 'О себе: '.$row['info'].'<br/>' : '').'
        Пол: '.($row['pol'] == 1 ? 'Мужской' : 'Женский').'
        </div>';
        if ($row['alldata'] == 1) {
            echo '<div class="menu">
            E-mail: '.$row['email'].'<br/>
            Кошелек: '.$row['wmr'].'<br/>
            Баланс: '.$row['money'].' руб.
            </div>';
        }
        echo '<div class="menu">
        Друзей: '.$count_fr.
        ($serf_on == 1 ? '<br/>Сегодня переходов: '.$click.'<br/>
        Площадок: '.$link : '').'<br/>
        Рефералов: '.$ref.'<br/>
        Выплачено: '.val($u_payment).' руб.<br/>
        Рейтинг: '.$row['rating'].'<br/>
        Репутация: '.$respect.' (<a href="?respect=1" style="color: #4cae4c">+'.$plus.'</a>/<a href="?respect=0" style="color: #d8544f">-'.$minus.'</a>)
        </div>';
        echo '<div class="menu">
        UA: '.strtok($row['ua'], ' (').
        ($row['admin'] != 0 ? '<br/>Должность: '.statusUser($row['admin']) : '').'<br/>
        Дата регистрации: '.daytime($row['datereg']).'
        </div>';
        if ($shop_on == 1 && $sell > 0) {
            echo '<div class="forlink"><a href="/shop/seller/'.$id.'" class="links"><img src="/img/shop.png" alt=""> Магазин ('.$sell.')</a></div>';
        }
        // Добавление/удаление из друзей
        if (($u_fr > 0 && ($row_fr['status'] == 1 or $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login'])) or $u_fr == 0 && $row['login'] != $user['login']) {
            if (isset($_GET['friend'])) {
                $in_friend = $connect->prepare("insert into `friend` set `user_from` = ?, `user_to` = ?");
                $del_friend = $connect->prepare("delete from `friend` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                }
                elseif (isset($_POST['yes'])) {
                    if ($u_fr == 0) {
                        $in_friend->execute(array($user['login'], $row['login']));
                    } elseif ($row_fr['status'] == 1 or $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login']) {
                        $del_friend->execute(array(
                            ':from' => $row['login'],
                            ':to' => $user['login']
                        ));
                    }
                    header('Location: /user/'.$id);
                } else {
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Подтвердить">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
            echo '<div class="forlink"><a href="?friend" class="links"><img src="/img/friend.png" alt=""> '.($u_fr > 0 && $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login'] ? 'Отменить заявку' : ($u_fr > 0 && $row_fr['status'] == 1 ? 'Удалить из друзей' : 'Добавить в друзья')).'</a></div>';
        }
    } else {
        header('Location: /');
    }
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>