<?php
$title = 'Пользователи';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
    echo '<div class="title">Пользователи</div>';

    $stmt_link = $connect->prepare("select count(*) from `link` where `uid` = ?");
    $stmt_click = $connect->prepare("select count(*) from `click` where `uid` = ?");
    $stmt_ref = $connect->prepare("select count(*) from `users` where `ref` = ?");

    if (isset($_GET['edit'])) {
        if (user($_GET['edit'])) {
            $row = user($_GET['edit']);
            if (isset($_POST['cancel'])) {
                header ('location: /adm/info');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['wmr'])) {
                    $error.= 'Введите WMR-кошелек!';
                }
                if (empty($_POST['email'])) {
                    $error.= 'Введите e-mail!';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `users` set `wmr` = ?, `email` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['wmr'], $_POST['email'], $_GET['edit']))) {
                        header ('location: /adm/info');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
               }
           }
            echo '<div class="menu">
            <form action="" method="post">
            R-кошелек:<br/><input type="text" name="wmr" value="'.$row['wmr'].'"><br/>
            E-mail:<br/><input type="text" name="email" value="'.$row['email'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.val($_GET['edit'], 1).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header ('location: /adm/info');
        }
    }
    elseif (isset($_GET['del']) && $_GET['del'] != $user['id']) {
        if (user($_GET['del'])) {
            if (isset($_POST['yes'])) {
            $login = ulogin($_GET['del']);

            // Удаляем юзера
            $stmt1 = $connect->prepare("delete from `users` where `id` = ?");
            // Удаляем сообщения
            $stmt2 = $connect->prepare("delete from `mail` where `user` = :user or `who` = :user");
            // Удаляем друзей
            $stmt3 = $connect->prepare("delete from `friend` where `user_from` = :user or `user_to` = :user");
            // Удаляем контакты
            $stmt4 = $connect->prepare("delete from `contacts` where `user_from` = :user or `user_to` = :user");

            if ($stmt1->execute(array($_GET['del'])) && $stmt2->execute(array(':user' => $login)) && $stmt3->execute(array(':user' => $login)) && $stmt4->execute(array(':user' => $login))) {
                header('Location: /adm/info');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/info');
            }

            echo '<div class="menu">
            <form action="" method="post">
            <input type="submit" name="yes" value="Удалить ('.val($_GET['del'], 1).')"/> 
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/info');
        }
    }

    $k_post = $count_users; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;
			
    $data = $connect->prepare("select * from `users` order by `id` desc limit :start, 10");
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_users == 0) {
        echo '<div class="menu">NONE</div>';
    } else {
        foreach ($sql as $row) {
            // Площадки
            $stmt_link->execute(array($row['id']));
            $links = $stmt_link->fetchColumn();
            // Переходы
            $stmt_click->execute(array($row['id']));
            $click = $stmt_click->fetchColumn();
            // Рефералы
            $stmt_ref->execute(array($row['id']));
            $ref = $stmt_ref->fetchColumn();
            echo '<div class="menu">
            Login ('.$row['id'].'): '.$row['login'].' ('.($row['id'] != $user['id'] ? '<a href="?del='.$row['id'].'">Удалить</a>/' : '').'<a href="?edit='.$row['id'].'">Редактировать</a>/<a href="/user/'.$row['id'].'">Профиль</a>)<br/>
            E-mail: '.$row['email'].'<br/>
            Кошелек: '.$row['wmr'].'<br/>
            Баланс: '.$row['money'].' руб.<br/>
            Рейтинг: '.$row['rating'].'<br/>
            '.($links > 0 ? 'Площадок: '.$links.'<br/>' : '').
            ($click > 0 ? 'Переходов: '.$click.'<br/>' : '').
            ($ref > 0 ? 'Рефералов: '.$ref.'<br/>' : '').
            (user($row['ref']) ? 'Пригласил: '.ulogin($row['ref']).'<br/>' : '').
            (!empty($row['ip']) ? 'IP: '.$row['ip'].'<br/>' : '').
            (!empty($row['ua']) ? 'UA: '.$row['ua'].'<br/>' : '').'
            Дата регистрации: '.daytime($row['datereg']).'<br/>
            Последнее посещение: '.daytime($row['lasttime']).'
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/adm" class="links">Панель управления</a></div>';
} else {
    header ('location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>