<?php
$title = 'Задания';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
    echo '<div class="title">Задания</div>';
    $stmt_success = $connect->prepare("select count(*) from `task_ans` where `status` = '1' and `tid` = ?");
    $num_u = $connect->prepare("select count(*) from `task` where `id` = ?");
    $strow = $connect->prepare("select * from `task` where `id` = ?");
    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit']));
        $num = $num_u->fetchColumn();
        if ($num > 0) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header ('location: /adm/task');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['login'])) {
                    $error.= 'Введите логин пользователя!<br/>';
                }
                elseif (!user($_POST['login'], 1)) {
                    $error.= 'Пользователь с таким логином не найден в системе!<br/>';
                }
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 250) {
                    $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                }
                if (empty($_POST['text'])) {
                    $error.= 'Введите требования по выполнению задания!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 15 or mb_strlen($_POST['text']) > 2500) {
                    $error.= 'Требования должны содержать от 15 до 2500 символов!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `task` set `name` = ?, `text` = ?, `user` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], $_POST['text'], $_POST['login'], $_GET['edit']))) {
                        header ('location: /adm/task');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
        echo '<div class="menu"><form action="" method="post">Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>Требования:<br/><textarea name="text" rows="3" cols="20">'.$row['text'].'</textarea><br/>Пользователь:<br/><input type="text" name="login" value="'.$row['user'].'"><br/><input type="submit" name="red" value="Сохранить ('.val($_GET['edit'], 1).')"><input type="submit" name="cancel" value="Отмена"></form></div>';
        } else {
            header ('location: /adm/task');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        $num = $num_u->fetchColumn();
        if ($num > 0) {
            if (isset($_POST['yes'])) {
                $strow->execute(array($_GET['del']));
                $row = $strow->fetch(PDO::FETCH_LAZY);
                $stmt1 = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                $stmt2 = $connect->prepare("delete from `task` where `id` = ?");
                $stmt3 = $connect->prepare("delete from `task_ans` where `tid` = ?");
                if ($stmt1->execute(array($row['col'] * $row['cena'], $row['user'])) && $stmt2->execute(array($_GET['del'])) && $stmt3->execute(array($_GET['del']))) {
                    header('Location: /adm/task');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/task');
            }

echo '<div class="menu">
<form action="" method="post"><input type="submit" name="yes" value="Удалить ('.val($_GET['del'], 1).')"/> 
<input type="submit" name="no" value="Отмена"/></form></div>';
        } else {
            header('Location: /adm/task');
        }
    }
    elseif (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        $num = $num_u->fetchColumn();
        if ($num > 0) {
            $strow->execute(array($_GET['ban']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['yes'])) {
                $status = $row['status'] == 2 ? 0 : 2;
                $stmt = $connect->prepare("update `task` set `status` = ? where `id` = ?");
                if ($stmt->execute(array($status, $_GET['ban']))) {
                    header('Location: /adm/task');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/task');
            }

            echo '<div class="menu">
            <form action="" method="post"><input type="submit" name="yes" value="'.($row['status'] == 2 ? 'Разблокировать' : 'Заблокировать').' ('.val($_GET['ban'], 1).')"/> 
            <input type="submit" name="no" value="Отмена"/></form></div>';
        } else {
            header('Location: /adm/task');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs']));
        $num = $num_u->fetchColumn();
        if ($num > 0) {
            if (isset($_POST['yes'])) {
            $error = '';
            if (empty($_POST['col'])) {
                $error.= 'Введите количество выполнений!<br/>';
            }
            elseif ($_POST['col'] < 1) {
                $error.= 'Минимальное количество выполнений - 1!<br/>';
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                $col = val($_POST['col'], 1);
                $stmt = $connect->prepare("update `task` set `col` = `col` + ? where `id` = ?");
                if ($stmt->execute(array($col, $_GET['bs']))) {
                    header('Location: /adm/task');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        elseif (isset($_POST['no'])) {
            header('Location: /adm/task');
        }
    echo '<div class="menu"><form action="" method="post">Количество выполнений:<br/><input type="text" name="col" value="10"><br/><input type="submit" name="yes" value="Пополнить ('.val($_GET['bs'], 1).')"/> 
<input type="submit" name="no" value="Отмена"/></form></div>';
        } else {
            header('Location: /adm/task');
        }
    }

    $k_post = $all_tasks; 
    $k_page = k_page($k_post, 10);
    $page = page($k_page); 
    $start = 10 * $page - 10;
			
    $data = $connect->prepare("select * from `task` order by `id` desc limit :start, 10");
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($all_tasks == 0) {
        echo '<div class="menu">NONE</div>';
    } else {
        foreach ($sql as $row) {
            // выполнено
            $stmt_success->execute(array($row['id']));
            $success = $stmt_success->fetchColumn();
            echo '<div class="menu">
            Название: '.$row['name'].' (<a href="?del='.$row['id'].'">Удалить</a>/<a href="?edit='.$row['id'].'">Редактировать</a>/<a href="?ban='.$row['id'].'">'.($row['status'] == 2 ? 'Разблокировать' : 'Заблокировать').'</a>)<br/>
            Требования: '.smiles(bb(bblinks($row['text']))).'<br/>
            Баланс: '.$row['col'].' (<a href="?bs='.$row['id'].'">Пополнить</a>)<br/>
            Статус: '.($row['status'] == 1 ? 'Включено' : 'Отключено').'<br/>
            Выполнили: '.$success.' чел.<br/>
            Дата добавления: '.daytime($row['time']).'<br/>
            Пользователь: '.$row['user'].'<br/>
            <div class="chi">Цена выполнения: '.$row['cena'].' руб.</div>
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/adm" class="links">Панель управления</a></div>';
} else {
    header ('location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>