<?php
// Включаем буферизацию
ob_start();
// наличие папки install
if (file_exists($_SERVER["DOCUMENT_ROOT"]."/install")) {
    exit(header('location: /install'));
}
// Сессия
session_name('SID') . session_start();
// подключаем
include_once(__DIR__."/function.php");
include_once($_SERVER["DOCUMENT_ROOT"]."/timecron/start.php");
// Mobile Detect
include_once(__DIR__."/Mobile_Detect.php");
// Версия
if (isset($_GET['version'])) $_SESSION['version'] = $_GET['version'];
$detect = new Mobile_Detect;
$default = $detect->isMobile() && !$detect->isTablet() ? 'mobile' : 'web';
$version = $_SESSION['version'] ?? $default;
// заголовок
$title = $title ?? 'Кабинет';
echo '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html>
    <head>
        <link rel="shortcut icon" href="/favicon.ico"/>
        <link rel="stylesheet" href="/style/default.css" type="text/css"/>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="keywords" content="реклама, раскрутка, трафик, продвижение, переходы, клики, оптимизация, каталог, сайты, мобильные, рекламная сеть"/>
        <meta name="description" content="Качественная реклама сайтов!"/>
        <meta name="author" content="RE-ADS"/>
        <meta http-equiv="content-language" content="ru"/>
        <meta http-equiv="revisit-after" content="1 month"/>
        <title>'.$title.'</title>
        <script type="text/javascript" src="/js/jquery.js"></script>
        <script type="text/javascript" src="/js/function.js"></script>
    </head>
    <body>';
// системное
$id = isset($_GET['id']) ? val($_GET['id'], 1) : false;
$act = $_GET['act'] ?? false;
$adm_id = $user['admin'] ?? false;
// Работа сайта
if ($work_status == 2 && $adm_id != 1 && $adm_id != 4) exit('<div class="info">На сайте ведутся технические работы.</div>');
// бан
if (isset($user['ban']) && $user['ban'] > time() && $adm_id != 1) exit('<div class="error">Ваш аккаунт будет разблокирован '.daytime($user['ban']).'!</div>');
// logo
echo '<div class="logo"><a href="/"><img src="/img/logo.png" alt="" /></a></div>';
// панель навигации
if (isset($active) == true) {
    echo '<div class="nav_link">
    <a href="/notifications"><img src="/img/nav-news.png" alt="nav">'.$new_not.'</a>
    <a href="/friends/to"><img src="/img/nav-friend.png" alt="nav">'.$new_req.'</a>
    <a href="/mail"><img src="/img/nav-mail.png" alt="nav">'.$new_mail.'</a>
    <a href="/chat"><img src="/img/nav-chat.png" alt="nav">'.$new_chat.'</a>
    <a href="/?exit" class="nav_end"><img src="/img/nav-exit.png" alt="nav"></a>
    </div>';
}
// веб
echo '<div class="content">';
if ($version != 'mobile') {
    if (isset($active) == true) {
        echo '<div class="left-block">';
        include_once($_SERVER["DOCUMENT_ROOT"]."/inc/menu.php");
        echo '</div>';
    } else {
        echo '<div class="right-block">
        <div class="title">Меню</div>
        <div class="forlink"><a href="/reg" class="links"><img src="/img/reg.png" alt=""> Зарегистрироваться</a></div>
        <div class="forlink"><a href="/pass" class="links"><img src="/img/forgot.png" alt=""> Восстановление пароля</a></div>
        </div>';
    }
}
echo '<div class="center-block">';
?>