<?php
$title = 'Мобильные сайты';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == false) {
    if (isset($_GET['ref'])) $_SESSION['ref'] = val($_GET['ref'], 1);
    $stmt_num = $connect->prepare("select count(*) from `users` where `login` = ? and `pass` = ?");
    $stmt = $connect->prepare("update `users` set `lasttime` = ?, `online` = ?, `ip` = ?, `ua` = ? where `login` = ?");
    // автологин
    if (isset($_GET['login']) && isset($_GET['pass'])){
        echo '<div class="title">Вход по автологину</div>';
        if (isset($_POST['submit'])) {
            $error = '';
            $stmt_num->execute(array($_GET['login'], md5(md5($_GET['pass']))));
            $num = $stmt_num->fetchColumn();
            if (isset($_SESSION['log_auth']) && $_SESSION['log_auth'] > time() - 30) {
                $error.= 'Повторите попытку через 30 секунд!<br/>';
            } else {
                if (empty($_POST['code'])) {
                    $error.= 'Введите код с картинки!<br/>';
                }
                elseif ($_SESSION['code'] != $_POST['code']) {
                    $error.= 'Код с картинки введен неверно!<br/>';
                }
                if (!user($_GET['login'], 1)) {
                    $error.= 'Пользователь с данным логином не зарегистрирован!<br/>';
                }
                elseif ($num == 0) {
                    $_SESSION['log_auth'] = time();
                    $error.= 'Неверный пароль!<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                // авторизация
                $online = 1;
                if ($stmt->execute(array(time(), $online, $ip, $ua, $_GET['login']))) {
                     setcookie('login', $_GET['login']);
                     setcookie('login', $_GET['login'], time() + 3600 * 24 * 25, '/');
                     setcookie('pass', md5(md5($_GET['pass'])));
                     setcookie('pass', md5(md5($_GET['pass'])), time() + 3600 * 24 * 25, '/');
                     header('Location: /enter');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<div class="menu">
        <form action="" method="post">
        Код с картинки: <img src="/img/code.php" alt="check"/><br />
        <input type="text" name="code"><br/>
        <input type="submit" name="submit" value="Продолжить" />
        </form></div>';
    } else {
        // новости
        if ($count_news > 0) {
            echo '<div class="title">Новости сайта</div>';
            $data = $connect->query("select * from `news` order by `id` desc limit 1")->fetchAll();
            foreach ($data as $row) {
                echo '<div class="menu"><img src="/img/post.png" alt="">'.$row['name'].' ('.daytime($row['time']).')<hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';
            }
            echo '<div class="forlink"><a href="/news" class="links" ><img src="/img/news.png" alt=""> Все новости ('.$count_news.')</a></div>';
        }
        echo '<div class="title">Кабинет</div>';
        // вход через форму
        if (isset($_POST['submit'])){
            $stmt_num->execute(array($_POST['login'], md5(md5($_POST['pass']))));
            $num = $stmt_num->fetchColumn();
            $error = '';
            if (isset($_SESSION['log_auth']) && $_SESSION['log_auth'] > time() - 30) {
                $error.= 'Повторите попытку через 30 секунд!<br/>';
            } else {
                if (empty($_POST['code'])) {
                    $error.= 'Введите код с картинки!<br/>';
                }
                elseif ($_SESSION['code'] != $_POST['code']) {
                    $error.= 'Код с картинки введен неверно!<br/>';
                }
                if (empty($_POST['login'])) {
                    $error.= 'Введите логин!<br/>';
                }
                elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
                    $error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
                }
                elseif (!user($_POST['login'], 1)) {
                    $error.= 'Пользователь с данным логином не зарегистрирован!<br/>';
                }
                elseif (empty($_POST['pass'])) {
                    $error.= 'Введите пароль!<br/>';
                }
                elseif (mb_strlen($_POST['pass']) < 3 or mb_strlen($_POST['pass']) > 15) {
                    $error.= 'Пароль должен содержать от 3 до 15 символов!<br/>';
                }
                elseif ($num == 0) {
                    $_SESSION['log_auth'] = time();
                    $error.= 'Неверный пароль!<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                // авторизация
                $online = 1;
                if ($stmt->execute(array(time(), $online, $ip, $ua, $_POST['login']))) {
                    setcookie('login', $_POST['login']);
                    setcookie('login', $_POST['login'], time() + 3600 * 24 * 25, '/');
                    setcookie('pass', md5(md5($_POST['pass'])));
                    setcookie('pass', md5(md5($_POST['pass'])), time() + 3600 * 24 * 25, '/');
                    header('Location: /enter');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<form name="auth" action="" method="post">
        <div class="menu">
        Логин:<br /><input type="text" name="login" maxlength="15" /><br/>
        Пароль:<br/><input type="password" name="pass" maxlength="15"/><br/>
        Код с картинки: <img src="/img/code.php" alt="check"/><br />
        <input type="text" name="code"><br/>
        <input type="submit" name="submit" value="Войти"/>
        </div></form>';
        if ($task_on == 1 or $serf_on == 1 or $shop_on == 1) {
            echo '<div class="menu">
            У нас можно:
            '.($task_on == 1 ? '<li>Заработать, выполняя задания.</li>
            <li>Раскрутить свою страницу в социальных сетях, сообщество и т. п.</li>' : '').
            ($serf_on == 1 ? '<li>Заработать, просматривая сайты рекламодателей.</li>
            <li>Раскрутить свой сайт: наши пользователи будут ежедневно просматривать ваш сайт.</li>' : '').
            ($shop_on == 1 ? '<li>Заработать, размещая свои работы на нашей торговой площадке.</li>
            <li>Купить интересующий товар или найти исполнителя.</li>' : '').'
            </div>';
        }
        if ($version == 'mobile') {
            echo '<div class="forlink"><a href="/reg" class="links"><img src="/img/reg.png" alt=""> Зарегистрироваться</a></div>
            <div class="forlink"><a href="/pass" class="links"><img src="/img/forgot.png" alt=""> Восстановление пароля</a></div>';
        }
    }
} else {
    echo '<div class="title">Кабинет '.$user['login'].'</div>';
    if (isset($_GET['success'])) {
        echo '<div class="menu">Вы успешно пополнили баланс!</div>';
    }
    elseif (isset($_GET['fail'])) {
        echo '<div class="menu">Произошла ошибка!</div>';
    }
    elseif (isset($_GET['exit']) && $work_status == 1) {
        session_destroy();
        setcookie('login', null, time() - 3600, '/');
        setcookie('pass', null, time() - 3600, '/');
        $online = 0;
        $stmt = $connect->prepare("update `users` set `online` = ? where `id` = ?");
        $stmt->execute(array($online, $user['id']));
        header('Location: /');
    } else {
        echo '<div class="menu">
        Баланс: '.$user['money'].' руб.<br/>
        Рейтинг: '.$user['rating'].'<br/>
        Кошелек: '.$user['wmr'].'<br/>
        E-mail: '.$user['email'].'
        </div>
        <div class="menu">
        Зарегистрировано пользователей: '.$count_users.
        ($serf_on == 1 ? '<br/>Сегодня переходов: '.$clicks : '').'
        </div>';
        if ($version == 'mobile') {
            // mobile
            include_once($_SERVER["DOCUMENT_ROOT"]."/inc/menu.php");
        } else {
            // новости
            if ($count_news > 0) {
                echo '<div class="title">Последние новости</div>';
                $data = $connect->query("select * from `news` order by `id` desc limit 2")->fetchAll();
                $stmt_comm = $connect->prepare("select count(*) from `comments` where `did` = ? and `type` = '1'");
                foreach ($data as $row) {
                    $stmt_comm->execute(array($row['id']));
                    $count_comm = $stmt_comm->fetchColumn();
                    echo '<div class="menu"><img src="/img/post.png" alt="">'.$row['name'].' ('.daytime($row['time']).')<hr/>
                    '.nl2br(smiles(bb(bblinks($row['text'])))).'<br/>
                    <div class="butt2">
                    <a href="/news/comments/'.$row['id'].'">Комментарии ('.$count_comm.')</a>
                    </div></div>';
                }
            }
            // последние выплаты
            if ($all_payment > 0) {
                echo '<div class="title">Последние выплаты</div>';
                $data = $connect->query("select * from `payment` order by `id` desc limit 2")->fetchAll();
                foreach ($data as $row) {
                    if ($row['status'] == 0) {
                        $status = 'В обработке';
                    } elseif ($row['status'] == 1) {
                        $status = 'Выплачено';
                    } elseif ($row['status'] == 2) {
                        $status = 'Отказано в выплате';
                    }
                    echo '<div class="menu">
                    Сумма: '.$row['money'].' WMR<br/>
                    Пользователь: '.(user(1, $row['user'], $connect) ? '<a href="/user/'.uid($row['user'], $connect).'" class="mlink">'.$row['user'].'</a>' : $row['user']).'<br/>
                    Статус: '.$status . ($row['status'] > 0 ? '<br/>
                    Дата: '.daytime($row['time']) : '').'
                    </div>';
                }
            }
        }
    }
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>