<?php
// Установка скрипта
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/file_function.php");
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
echo '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<head>
<link rel="shortcut icon" href="/favicon.ico"/>
<link rel="stylesheet" href="/style/default.css" type="text/css"/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="author" content="RE-ADS"/>
<title>Установка RCMS</title>
</head><body>
<div class="logo"><a href="/"><img src="/img/logo.png" alt="" /></a></div>';
if (isset($_POST['complete'])) {
    header ('location: /');
    delete_dir($_SERVER["DOCUMENT_ROOT"]."/install");
}
elseif (isset($_POST['submit'])) {
    echo '<div class="title">Заливка таблиц в БД</div>';
    $error = '';
    try {
        $connect = new PDO('mysql:host='.$_POST['host'].';dbname='.$_POST['base'], $_POST['user'], $_POST['password']);
        $act = true;
    } catch (PDOException $e) {
        $act = false;
    }
    if (empty($_POST['host']) or empty($_POST['base']) or empty($_POST['user']) or empty($_POST['password'])) {
        $error.= 'Вы не заполнили одно из полей!<br/>';
    }
    elseif ($act == false) {
        $error.= 'Невозможно подключится к базе данных MySQL!<br/>';
    }
    if (!empty($error)) {
        echo '<div class="menu">'.$error.'</div>
        <div class="forlink"><a href="/install" class="links">Назад</a></div>';
    } else {
        // Кодировка
        $connect->exec("SET CHARACTER SET utf8");
        // Уведомления
        $connect->exec("CREATE TABLE IF NOT EXISTS `notifications` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `uid` int(11) NOT NULL,
          `text` varchar(2500) NOT NULL,
          `time` int(11) NOT NULL,
          `new` int(11) NOT NULL DEFAULT '1',
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Репутация
        $connect->exec("CREATE TABLE IF NOT EXISTS `respect` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `from` varchar(15) NOT NULL,
          `to` varchar(15) NOT NULL,
          `review` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Друзья
        $connect->exec("CREATE TABLE IF NOT EXISTS `friend` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user_from` varchar(15) NOT NULL,
          `user_to` varchar(15) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '0',
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Черный список
        $connect->exec("CREATE TABLE IF NOT EXISTS `blacklist` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `black` varchar(15) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Магазин
        $connect->exec("CREATE TABLE IF NOT EXISTS `shop` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `name` varchar(250) NOT NULL,
          `text` text NOT NULL,
          `file` varchar(150) NOT NULL,
          `cena` float(11,2) NOT NULL,
          `col` int(11) NOT NULL,
          `limit` int(11) NOT NULL,
          `uid` int(11) NOT NULL DEFAULT '0',
          `status` int(11) NOT NULL DEFAULT '0',
          `upd` int(11) NOT NULL DEFAULT '0',
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Покупки
        $connect->exec("CREATE TABLE IF NOT EXISTS `purchase` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `seller` varchar(15) NOT NULL,
          `name` varchar(250) NOT NULL,
          `sum` float(11,2) NOT NULL,
          `pid` int(11) NOT NULL,
          `file` varchar(150) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '0',
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Корзина
        $connect->exec("CREATE TABLE IF NOT EXISTS `basket` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `pid` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Скрины
        $connect->exec("CREATE TABLE IF NOT EXISTS `screen` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `did` int(11) NOT NULL,
          `type` int(11) NOT NULL,
          `file` varchar(150) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Задания
        $connect->exec("CREATE TABLE IF NOT EXISTS `task` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `name` varchar(250) NOT NULL,
          `text` varchar(2500) NOT NULL,
          `cena` float(11,2) NOT NULL,
          `col` int(11) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '1',
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Заявки на выполнение
        $connect->exec("CREATE TABLE IF NOT EXISTS `task_ans` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `text` varchar(2500) NOT NULL,
          `file` varchar(150) NOT NULL,
          `tid` int(11) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '0',
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Пирамида
        $connect->exec("CREATE TABLE IF NOT EXISTS `prmd` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `sum` float(11,2) NOT NULL,
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // История победителей
        $connect->exec("CREATE TABLE IF NOT EXISTS `win_prmd` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `sum` float(11,2) NOT NULL,
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Угадай число
        $connect->exec("CREATE TABLE IF NOT EXISTS `num` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `cash` float(11,2) NOT NULL,
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Новости
        $connect->exec("CREATE TABLE IF NOT EXISTS `news` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `time` int(11) NOT NULL,
          `name` text NOT NULL,
          `text` text NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Комментарии
        $connect->exec("CREATE TABLE IF NOT EXISTS `comments` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `date` int(11) NOT NULL,
          `user` varchar(15) NOT NULL,
          `text` varchar(2500) NOT NULL,
          `did` int(11) NOT NULL,
          `type` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Чат
        $connect->exec("CREATE TABLE IF NOT EXISTS `guest` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `date` int(11) NOT NULL,
          `user` varchar(15) NOT NULL,
          `text` varchar(2500) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Контакты
        $connect->exec("CREATE TABLE IF NOT EXISTS `contacts` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user_from` varchar(15) NOT NULL,
          `user_to` varchar(15) NOT NULL,
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Почта
        $connect->exec("CREATE TABLE IF NOT EXISTS `mail` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `who` varchar(15) NOT NULL,
          `text` varchar(2500) NOT NULL,
          `file` varchar(150) NOT NULL,
          `time` int(11) NOT NULL,
          `read` int(11) NOT NULL DEFAULT '0',
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Переходы
        $connect->exec("CREATE TABLE IF NOT EXISTS `click` (
          `link` int(11) NOT NULL,
          `uid` int(11) NOT NULL
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
        // Лотерея
        $connect->exec("CREATE TABLE IF NOT EXISTS `loto` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `idu` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // История победителей
        $connect->exec("CREATE TABLE IF NOT EXISTS `win_loto` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `sum` float(11,2) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Площадки
        $connect->exec("CREATE TABLE IF NOT EXISTS `link` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `time` int(11) NOT NULL,
          `uid` int(11) NOT NULL,
          `url` varchar(2500) NOT NULL,
          `name` varchar(2500) NOT NULL,
          `click` int(11) NOT NULL,
          `cena` float(11,2) NOT NULL,
          `off` int(11) NOT NULL DEFAULT '0',
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Пополнение баланса
        $connect->exec("CREATE TABLE IF NOT EXISTS `plus` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `uid` int(11) NOT NULL,
          `sum` float(11,2) NOT NULL,
          `num` int(11) NOT NULL,
          `time` int(11) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Вывод средств
        $connect->exec("CREATE TABLE IF NOT EXISTS `payment` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `user` varchar(15) NOT NULL,
          `money` float(11,2) NOT NULL,
          `wmr` varchar(13) NOT NULL DEFAULT '0',
          `time` int(11) NOT NULL,
          `status` int(11) NOT NULL DEFAULT '0',
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Юзеры
        $connect->exec("CREATE TABLE IF NOT EXISTS `users` (
          `id` int(11) NOT NULL AUTO_INCREMENT,
          `datereg` int(11) NOT NULL,
          `lasttime` int(11) NOT NULL,
          `login` varchar(15) NOT NULL,
          `status` varchar(250) NOT NULL,
          `info` varchar(250) NOT NULL,
          `pol` int(11) NOT NULL DEFAULT '1',
          `name` varchar(75) NOT NULL,
          `wmr` varchar(15) NOT NULL, 
          `pass` varchar(150) NOT NULL,
          `email` varchar(35) NOT NULL,
          `avatar` varchar(75) NOT NULL,
          `admin` int(11) NOT NULL DEFAULT '0',
          `ip` varchar(50) NOT NULL,
          `ua` varchar(200) NOT NULL,
          `alldata` int(11) NOT NULL DEFAULT '0',
          `fmail` int(11) NOT NULL DEFAULT '1',
          `ban` int(11) NOT NULL DEFAULT '0',
          `ref` int(11) NOT NULL DEFAULT '0',
          `online` int(11) NOT NULL DEFAULT '0',
          `money` float(11,2) NOT NULL,
          `rating` float(11,1) NOT NULL,
          PRIMARY KEY (`id`),
          KEY `id` (`id`)
        ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
        // Chmod
        chmod($_SERVER["DOCUMENT_ROOT"]."/inc/db_connect.ini", 0666);
        chmod($_SERVER["DOCUMENT_ROOT"]."/inc/modules.ini", 0666);
        chmod($_SERVER["DOCUMENT_ROOT"]."/inc/rating.ini", 0666);
        chmod($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", 0666);
        chmod($_SERVER["DOCUMENT_ROOT"]."/inc/payment.ini", 0666);
        // Настройки
        $host = $_POST['host'];
        $user = $_POST['user'];
        $password = $_POST['password'];
        $base = $_POST['base'];
        $text = "db_host = $host
        db_user = $user
        db_pass = $password
        db_name = $base";
        editFileNow($_SERVER["DOCUMENT_ROOT"]."/inc/db_connect.ini", $text);
        echo '<div class="menu">
        <form action="" method="post">
        Права на файлы конфигурации установлены!<br/>
        Соединение с БД установлено!<br/>
        Таблицы успешно залиты!<hr/>
        <input type="submit" name="complete" value="Продолжить">
        </form></div>';
        }
    } else {
        echo '<div class="title">Подключение к MySQL</div>
        <div class="menu">
        <form action="" method="post">
        Host:<br/><input type="text" name="host" value="localhost" /><br/>
        Пользователь:<br/><input type="text" name="user" value="" /><br/>
        Пароль:<br/><input type="text" name="password" value="" /><br/>
        База данных:<br/><input type="text" name="base" value="" /><br/>
        <input type="submit" name="submit" value="Продолжить" />
        </form></div>';
    }
echo '<div class="ze">Copyright &copy; '.date('Y').'<span style="display: none"></span></div></body></html>';
 ?>