<?php
$title = 'Черный список';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    echo '<div class="title">Черный список ('.$count_black.')</div>';
    $del = $connect->prepare("delete from `blacklist` where `user` = ? and `black` = ?");
    $in_black = $connect->prepare("insert into `blacklist` set `user` = ?, `black` = ?");
    if (isset($_GET['del'])) {
        if (in_blacklist($user['login'], $_GET['del'], 1)) {
            $del->execute(array($user['login'], $_GET['del']));
            header('Location: /blacklist');
        }
    }

    $k_post = $count_black; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `blacklist` where `user` = :user order by `id` desc limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_black == 0) {
        echo '<div class="menu">Список пуст!</div>';
    } else {
        foreach ($sql as $row) {
            echo '<div class="menu">
            Пользователь: '.$row['black'].'<br/>
            <div class="butt2"><a href="?del='.urlencode($row['black']).'">Удалить из ЧС</a></div>
            </div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    echo '<div class="title">Добавить пользователя</div>';
    if (isset($_POST['black'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        elseif (in_blacklist($user['login'], $_POST['login'], 1)) {
            $error.= 'Этот пользователь уже в ЧС!<br/>';
        }
        elseif ($_POST['login'] == $user['login']) {
            $error.= 'Нельзя добавлять себя в ЧС!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if ($in_black->execute(array($user['login'], $_POST['login']))){
                echo '<div class="menu">Вы успешно добавили пользователя в ЧС!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    <input type="submit" name="black" value="Добавить в ЧС"/>
    </form></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>