<?php
$title = 'Мои друзья';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true) {
    echo '<div class="title">Мои друзья ('.$count_friends.')</div>';
    $k_post = $count_friends; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `friend` where `status` = '1' and (`user_from` = :user or `user_to` = :user) order by `id` limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($count_friends == 0) {
        echo '<div class="menu">Друзей нет!</div>';
    } else {
        foreach ($sql as $row) {
            $friend = $row['user_from'] == $user['login'] ? $row['user_to'] : $row['user_from'];
            if (user($friend, 1)) {
                echo '<div class="forlink"><a href="/user/'.uid($friend).'" class="links">'.$friend.'<span class="online">'.online($friend, 1).'</span></a></div>';
            } else {
                echo '<div class="menu">ERROR: '.$friend.'</div>';
            }
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/friends/to" class="links" ><img src="/img/friend.png" alt=""> Заявки в друзья ('.$count_req.')</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>