<?php
$title = 'Лотерея';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $loto_on == 1) {
    echo '<div class="title">Лотерея</div>';
    if (isset($_POST['submit'])) {
        $error = '';
        $stmt = $connect->prepare("select count(*) from `loto` where `idu` = ?");
        $stmt->execute(array($user['id']));
        $num = $stmt->fetchColumn();
        if ($num > 0) {
            $error.= 'Вы уже купили билет!<br/>';
        }
        if ($user['money'] < $loto_cena) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>'; 
        } else {
            $stmt1 = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
            $stmt2 = $connect->prepare("insert into `loto` set `idu` = ?");
            if ($stmt1->execute(array($loto_cena, $user['id'])) && $stmt2->execute(array($user['id']))) {
                echo '<div class="menu">Билет успешно куплен!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">Выигрыш: '.$loto_cash.' руб.<br/>Участвует пользователей: '.$loto_count.'<br/>Максимальное число участников: '.$loto_max.'</div>';
    $stmt = $connect->prepare("select count(*) from `loto` where `idu` = ?");
    $stmt->execute(array($user['id']));
    $num = $stmt->fetchColumn();
    if ($num == 0) {
        echo '<div class="menu"><form action="" method="post"><input type="submit" name="submit" value="Купить билет ('.$loto_cena.' руб.)" /></form></div>';
    } else {
        $strow = $connect->prepare("select * from `loto` where `idu` = ?");
        $strow->execute(array($user['id']));
        $loto = $strow->fetch(PDO::FETCH_LAZY);
        echo '<div class="menu">Ждите окончания лотереи! Ваш билет - &#8470;'.$loto['id'].'</div>';
    }
    echo '<div class="forlink"><a href="/play/loto/history" class="links"><img src="/img/pizza.png" alt=""> История победителей ('.$count_win_loto.')</a></div>';
    if ($version == 'mobile') echo '<div class="forlink"><a href="/play" class="links"><img src="/img/play.png" alt=""> Игры</a></div>';
} else {
    header('Location: /');
} 
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>