<?php
$title = 'Настройки';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/imageReSize.class.php");
if (isset($active) == true) {
    echo '<div class="title">Аватар пользователя</div>';
    if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']) && $user['avatar']) {
        if (isset($_GET['del'])) {
            if (isset($_POST['cancel'])) {
                header('location: /sett');
            }
            elseif (isset($_POST['submit'])) {
                unlink($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']);
                header('location: /sett');
            } else {
                echo '<div class="menu"><form action="" method="post"><input type="submit" name="submit" value="Удалить"><input type="submit" name="cancel" value="Отмена"></form></div>';
            }
        }
        echo '<div class="menu">Ваш аватар: '.$user['avatar'].' ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user["avatar"]).') <small><a href="?del">Удалить</a></small><hr/><img src="/files/avatar/'.$user['avatar'].'" alt=""></div>';
    }
    if (isset($_POST['avatar'])) {
        $error = '';
        if (!file_exists($_FILES['filename']['tmp_name'])) {
            $error.= 'Вы не выбрали файл!<br/>';
        }
        elseif (!is_safePicture(['jpg', 'jpeg', 'png'], $_FILES['filename']['name'], $_FILES['filename']['tmp_name'])) {
            $error.= 'Неверный тип файла!<br/>';
        }
        if ($_FILES['filename']['size'] > 1048576) {
            $error.= 'Максимальный размер файла - 1024 Kb!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']) && $user['avatar']) {
                unlink($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']);
            }
            $image = new SimpleImage();
            $image->load($_FILES['filename']['tmp_name']);
            $image->resizeToWidth($width_ava);
            $image->save($_FILES['filename']['tmp_name']);
            $files = $user['id']."_".$_FILES['filename']['name'];
            move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$files);
            $stmt = $connect->prepare("update `users` set `avatar` = ? where `id` = ?");
            $stmt->execute(array($files, $user['id']));
            header('location: /sett');
        }
    }
    echo '<form name="form" action="" method="post" enctype="multipart/form-data"><div class="menu">Прикрепить файл:<br/><input type="file" name="filename"><br/><input type="submit" name="avatar" value="Загрузить"></form></div>';
    echo '<div class="title">Изменить пароль</div>';
    $error = '';
    if (isset($_POST['pass']) && isset($_POST['new_pass']) && isset($_POST['last_pass'])) {
        if (empty($_POST['pass'])) {
            $error.= 'Введите действующий пароль!<br/>';
        }
        elseif (md5(md5($_POST['pass'])) != $user['pass']) {
            $error.= 'Действующий пароль введен неверно!<br/>';
        }
        elseif (empty($_POST['new_pass'])) {
            $error.= 'Введите новый пароль!<br/>';
        }
        elseif (mb_strlen($_POST['new_pass']) < 3 or mb_strlen($_POST['new_pass']) > 15) {
            $error.= 'Новый пароль должен содержать от 3 до 15 символов!<br/>';
        }
        elseif (empty($_POST['last_pass'])) {
            $error.= 'Введите проверочный пароль!<br/>';
        }
        elseif ($_POST['last_pass'] != $_POST['new_pass']) {
            $error.= 'Проверочный пароль введен неверно!<br/>';
        }
        elseif (md5(md5($_POST['new_pass'])) == $user['pass']) {
            $error.= 'У вас задействован этот пароль!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `pass` = ? where `login` = ? limit 1");
            if ($stmt->execute(array(md5(md5($_POST['new_pass'])), $user['login']))) {
                setcookie('pass', md5(md5($_POST['new_pass'])));
                echo '<div class="menu">Пароль успешно изменен!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu"><form action="" method="post">Действующий пароль:<br /><input type="password" name="pass" maxlength="15"/><br/>Новый пароль:<br /><input type="password" name="new_pass" maxlength="15"/><br/>Повторите новый пароль:<br /><input type="password" name="last_pass" maxlength="15"/><br/><input type="submit" value="Изменить"/></form></div>';
    echo '<div class="title">Профиль</div>';
    if (isset($_POST['red_ank'])) {
        $error = '';
        if (mb_strlen($_POST['status']) > 250) {
            $error.= 'Статус должен содержать не более 250 символов!<br/>';
        }
        if (mb_strlen($_POST['name']) > 75) {
            $error.= 'Имя должно содержать не более 75 символов!<br/>';
        }
        if (mb_strlen($_POST['info']) > 250) {
            $error.= 'Информация о себе должна содержать не более 250 символов!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $alldata = $_POST['alldata'] ?? 0;
            $fmail = $_POST['fmail'] ?? 1;
            $stmt = $connect->prepare("update `users` set `status` = ?, `name` = ?, `pol` = ?, `info` = ?, `alldata` = ?, `fmail` = ? where `id` = ?");
            if ($stmt->execute(array($_POST['status'], $_POST['name'], $_POST['pol'], $_POST['info'], $alldata, $fmail, $user['id']))) {
                header('location: /sett');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<form action="" method="post"><div class="menu">
    Статус:<br/><textarea name="status">'.$user['status'].'</textarea><hr/>
    Имя:<br/><input type="text" name="name" value="'.$user['name'].'"><br/>
    Пол:<br/><select name="pol">'.($user['pol'] == 1 ? '<option value="1">Мужской</option><option value="2">Женский</option>' : '<option value="2">Женский</option><option value="1">Мужской</option>').'</select><br/>
    О себе:<br/><textarea name="info">'.$user['info'].'</textarea><br/>
    Отправлять сообщения могут:<br/><select name="fmail">'.($user['fmail'] == 2 ? '<option value="2">Только друзья</option><option value="1">Все</option>' : '<option value="1">Все</option><option value="2">Только друзья</option>').'</select><br/>
    <input type="checkbox" name="alldata" value="1"'.($user['alldata'] == 1 ? 'checked' : '').'> Отображать все данные аккаунта в профиле<br/>
    <input type="submit" name="red_ank" value="Сохранить"/>
    </form></div>';

} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>