<?php
$title = 'Корзина';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $shop_on == 1) {
    echo '<div class="title">Корзина ('.$user_bk.')</div>';
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $del_basket = $connect->prepare("delete from `basket` where `id` = ?");
    $strow = $connect->prepare("select * from `shop` where `id` = ?");

    $k_post = $user_bk; 
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `basket` where `user` = :user order by `id` desc limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($user_bk == 0) {
        echo '<div class="menu">В корзине пусто.</div>';
    } else {
        foreach ($sql as $row) {
            $stmt_count->execute(array($row['pid']));
            $shop_count = $stmt_count->fetchColumn();
            if ($shop_count == 0) {
                $del_basket->execute(array($row['id']));
            } else {
                $strow->execute(array($row['pid']));
                $s_row = $strow->fetch(PDO::FETCH_LAZY);
                echo '<div class="forlink"><a href="/shop/product/'.$s_row['id'].'" class="links"><img src="/img/product.png" alt=""> '.$s_row['name'].'<div class="chi">'.$s_row['cena'].'</div></a></div>';
            }
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt=""> Магазин скриптов</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>