<?php
$title = 'Статистика выполнений';
include_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) == true && $task_on == 1) {
    echo '<div class="title">Статистика выполнений</div>';
    $strow = $connect->prepare("select * from `task` where `id` = ?");
    $stmt_num = $connect->prepare("select count(*) from `task` where `id` = ?");

    $k_post = $user_task_stat;
    $k_page = k_page($k_post, 10); 
    $page = page($k_page); 
    $start = 10 * $page - 10;

    $data = $connect->prepare("select * from `task_ans` where `user` = :user order by `id` desc limit :start, 10");
    $data->bindValue(':user', $user['login']);
    $data->bindValue(':start', $start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();
    if ($user_task_stat == 0) {
        echo '<div class="menu">Записей нет!</div>';
    } else {
        foreach ($sql as $row) {
        // задание
        $strow->execute(array($row['tid']));
        $task = $strow->fetch(PDO::FETCH_LAZY);
        $stmt_num->execute(array($row['tid']));
        $num = $stmt_num->fetchColumn();
        // статус
        if ($row['status'] == 0) {
            $status = 'В обработке';
        } elseif ($row['status'] == 1) {
            $status = 'Выполнено';
        } else {
            $status = 'Не выполнено';
        }
            echo '<div class="menu">Задание: '.($num > 0 ? '<a href="/task/view/'.$task['id'].'">'.$task['name'].'</a>' : 'NONE').'<br/>Отчет: '.smiles(bb(bblinks($row['text']))) . (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/".$row["file"]) && $row["file"] ? '<br/>Файл: <a href="/files/'.$row['file'].'">'.$row['file'].'</a> ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/".$row["file"]).')' : '').'<br/>Статус: '.$status.'</div>';
        }
        if ($k_page > 1) navigation($k_page, $page);
    }
    if ($version == 'mobile') echo '<div class="forlink"><a href="/task/list" class="links"><img src="/img/quest.png" alt=""> Задания ('.$count_tasks.')</a></div>';
} else {
    header('Location: /');
}

include_once($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>